<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: admin_news.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################



//Konfiguration wurde schon in der session.inc.php vorgenommen
include("session.inc.php");


//Template laden
$tpl  = new Template();
$db_b = new DB_Sql();

//Befehle...
$tpl  -> set_unknowns("keep");

if(isset($HTTP_POST_VARS['action'])) {
$action = $HTTP_POST_VARS['action'];
} else {
$action = $HTTP_GET_VARS['action'];
}

switch($action) {
case "list":

      $tpl -> set_file(array("list" => "templates/admin/admin.kommuser.list.tpl.html"));
      $tpl -> set_block("list", "komm_user", "komm_user_handle");

      $db -> query("SELECT * FROM $table_comm_user ORDER BY nick ASC");
      while($db -> next_record()) {
      $user_id = $db -> f("id");

      if($db -> f("news_autor") == 1) {
      $news_autor = "<img border=\"0\" alt=\"$alt_checked\" src=\"$rsnews_url/images/$img_checked\">";
      } else {
      $news_autor = "&nbsp;";
      }

      if($db -> f("banned") == 1) {
      $banned = "<img border=\"0\" alt=\"\" src=\"$rsnews_url/images/$img_locked\">";
      } else {
      $banned = "<img border=\"0\" alt=\"\" src=\"$rsnews_url/images/$img_open\">";
      }

      if($sess_rank['edit_user'] == 1) {
      $edit_row = "<a href=\"$rsnews_url/admin_kommuser.php?rsn_uin=$rsn_uin&action=edit&user_id=$user_id\"><img src=\"$rsnews_url/images/$img_edit\" border=\"0\" alt=\"$alt_edit\"></a>
      &nbsp;&nbsp;<a href=\"$rsnews_url/admin_kommuser.php?rsn_uin=$rsn_uin&action=delete&user_id=$user_id\"><img src=\"$rsnews_url/images/$img_delete\" border=\"0\" alt=\"$alt_delete\"></a>";
      } else {
      $edit_row = "&nbsp;";
      }

if($check_color) {
$color = 'odd';
$check_color = false;
} else {
$color = 'even';
$check_color = true;
}

      $tpl -> set_var(array(
                            "komm_user_name"           => $db -> f("nick"),
                            "komm_user_email"          => $db -> f("email"),
                            "komm_user_status"         => $banned,
                            "komm_user_newsautor"      => $news_autor,
                            "define"             => $color,
                            "edit_row"                 => $edit_row
                            ));

      $tpl -> parse("komm_user_handle", "komm_user", true);
      } //endwhile

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"                    => $g_copyright,
                            "rsn_uin"                      => $rsn_uin
                            ));

      $tpl -> parse("output", array("list"));

      $tpl -> p("output");
      require("admin_footer.php");

break;
case "edit":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      $db -> query("SELECT * FROM $table_comm_user WHERE id = '".$HTTP_GET_VARS['user_id']."'");
      $db -> next_record();

      $komm_user_id        = $db -> f("id");
      $komm_user_nickname  = $db -> f("nick");
      $komm_user_email     = $db -> f("email");
      $komm_user_news_autor= $db -> f("news_autor");
      $komm_user_banned    = $db -> f("banned");

      if($komm_user_news_autor == 1) {
      $news_autor_s_a = 'selected';
      $news_autor_s_b = '';
      } else {
      $news_autor_s_a = '';
      $news_autor_s_b = 'selected';
      }

      if($komm_user_banned == 1) {
      $banned_s_a = 'selected';
      $banned_s_b = '';
      } else {
      $banned_s_a = '';
      $banned_s_b = 'selected';
      }

      $tpl -> set_file(array("edit" => "templates/admin/admin.kommuser.edit.tpl.html"));

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"                 => $g_copyright,
                            "user_id"                   => $HTTP_GET_VARS['user_id'],
                            "rsn_uin"                   => $rsn_uin,
                            "banned_s_a"                => $banned_s_a,
                            "banned_s_b"                => $banned_s_b,
                            "news_autor_s_a"            => $news_autor_s_a,
                            "news_autor_s_b"            => $news_autor_s_b,
                            "email"                     => $komm_user_email,
                            "nickname"                  => $komm_user_nickname
                            ));

      $tpl -> parse("output", array("edit"));
      $tpl -> p("output");
      require("admin_footer.php");

break;
case "edit_now":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      include('function.inc.php');

      $input_nickname   = ReplaceNotAllowed($HTTP_POST_VARS['nickname']);
      $input_email      = ReplaceNotAllowed($HTTP_POST_VARS['email']);
      $input_pass_a     = ReplaceNotAllowed($HTTP_POST_VARS['pass_a']);
      $input_pass_b     = ReplaceNotAllowed($HTTP_POST_VARS['pass_b']);
      $input_banned     = $HTTP_POST_VARS['banned'];
      $input_news_autor = $HTTP_POST_VARS['news_autor'];
      $user_id          = $HTTP_POST_VARS['user_id'];

      if($input_nickname == "" || $input_email == "") {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));

      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $complete_all,
                            "error_description"    => $complete_all_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      if($input_pass_a != "" && $input_pass_b != "" && $input_pass_a != $input_pass_b) {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));

      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $incorrect_pass,
                            "error_description"    => $incorrect_pass_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      $new_pass = false;
      exit;
      } elseif($input_pass_a == "" && $input_pass_b == "") {
      $new_pass = false;
      } else {
      $new_pass = true;
      $new_pwd  = md5($input_pass_a);
      }

      if($new_pass) {
      $db -> query("UPDATE $table_comm_user SET nick = '$input_nickname', pwd = '$new_pwd', email = '$input_email', news_autor = '$input_news_autor', banned = '$input_banned' WHERE id = '$user_id'");
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
      } else {
      $db -> query("UPDATE $table_comm_user SET nick = '$input_nickname', email = '$input_email', news_autor = '$input_news_autor', banned = '$input_banned' WHERE id = '$user_id'");
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

break;
case "add":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      $tpl -> set_file(array("add" => "templates/admin/admin.kommuser.add.tpl.html"));

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"                 => $g_copyright,
                            "rsn_uin"                   => $rsn_uin
                            ));

      $tpl -> parse("output", array("add"));
      $tpl -> p("output");
      require("admin_footer.php");

break;
case "add_now":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      include('function.inc.php');

      $input_nickname   = ReplaceNotAllowed($HTTP_POST_VARS['nickname']);
      $input_email      = ReplaceNotAllowed($HTTP_POST_VARS['email']);
      $input_pass_a     = ReplaceNotAllowed($HTTP_POST_VARS['pass_a']);
      $input_pass_b     = ReplaceNotAllowed($HTTP_POST_VARS['pass_b']);
      $input_banned     = $HTTP_POST_VARS['banned'];
      $input_news_autor = $HTTP_POST_VARS['news_autor'];

      if($input_nickname == "" || $input_email == "") {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $complete_all,
                            "error_description"    => $complete_all_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      if($input_pass_a != "" && $input_pass_b != "" && $input_pass_a != $input_pass_b) {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $incorrect_pass,
                            "error_description"    => $incorrect_pass_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      $new_pwd = md5($input_pass_a);

      $db -> query("INSERT INTO $table_comm_user VALUES ('', '$input_nickname', '$new_pwd', '$input_email', '$input_news_autor', '$input_banned')");
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
break;
case "delete":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      $tpl -> set_file(array("delete" => "templates/admin/admin.kommuser.delete.tpl.html"));

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"             => $g_copyright,
                            "rsn_uin"               => $rsn_uin,
                            "kommuser_id"           => $HTTP_GET_VARS['user_id']
                            ));

      $tpl -> parse("output", array("delete"));
      $tpl -> p("output");
      require("admin_footer.php");
break;
case "delete_now":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      $db -> query("DELETE FROM $table_comm_user WHERE id = '".$HTTP_POST_VARS['kommuser_id']."'");
      header("Location: admin_kommuser.php?rsn_uin=$rsn_uin&action=list");
      exit;

break;
}
?>