<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: admin_rank.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################



//Konfiguration wurde schon in der session.inc.php vorgenommen
include("session.inc.php");


//Template laden
$tpl = new Template();
$db_b = new DB_Sql();

//Befehle...
$tpl -> set_unknowns("keep");


if(isset($HTTP_POST_VARS['action'])) {
$action = $HTTP_POST_VARS['action'];
} else {
$action = $HTTP_GET_VARS['action'];
}

switch($action) {
case "list":

      $tpl -> set_file(array(
                             "list" => "templates/admin/admin.rank.list.tpl.html"
                             ));

      $tpl -> set_block("list", "ranks", "ranks_handle");

      $db -> query("SELECT id, name, beschreibung FROM $table_rank ORDER BY name ASC");
      while($db -> next_record()) {
      $rank_id = $db -> f("id");

      if($sess_rank['edit_user'] == 1) {
      $edit_row = "<a href=\"admin_rank.php?rsn_uin=$rsn_uin&action=edit&rank_id=$rank_id\"><img src=\"$rsnews_url/images/$img_edit\" border=\"0\" alt=\"$alt_edit\"></a>
      &nbsp;&nbsp;
      <a href=\"$rsnews_url/admin_rank.php?rsn_uin=$rsn_uin&action=delete&rank_id=$rank_id\"><img src=\"$rsnews_url/images/$img_delete\" border=\"0\" alt=\"$alt_delete\">";
      } else {
      $edit_row = "&nbsp;";
      }

if($check_color) {
$color = 'odd';
$check_color = false;
} else {
$color = 'even';
$check_color = true;
}

      $tpl -> set_var(array(
                            "rank_name"                 => $db -> f("name"),
                            "rank_description"          => $db -> f("beschreibung"),
                            "define"                    => $color,
                            "edit_row"                  => $edit_row
                            ));

      $tpl -> parse("ranks_handle", "ranks", true);
      } //endwhile

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"                 => $g_copyright,
                            "rsn_uin"                   => $rsn_uin
                            ));

      $tpl -> parse("output", array("list"));
      $tpl -> p("output");
      require("admin_footer.php");

break;
case "add":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      $tpl -> set_file(array(
                             "add" => "templates/admin/admin.rank.add.tpl.html"
                             ));

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"          => $g_copyright,
                            "rsn_uin"            => $rsn_uin
                            ));

      $tpl -> parse("output", array("add"));
      $tpl -> p("output");
      require("admin_footer.php");
break;
case "add_now":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      include('function.inc.php');

      $input_name         = ReplaceNotAllowed($HTTP_POST_VARS['name']);
      $input_beschreibung = ReplaceNotAllowed($HTTP_POST_VARS['beschreibung']);
      $input_use_html     = $HTTP_POST_VARS['use_html'];
      $input_use_smilies  = $HTTP_POST_VARS['use_smilies'];
      $input_edit_user    = $HTTP_POST_VARS['edit_user'];
      $input_access_admin = $HTTP_POST_VARS['access_admin'];
      $input_edit_komm    = $HTTP_POST_VARS['edit_komm'];
      $input_edit_news    = $HTTP_POST_VARS['edit_news'];
      $input_post_news    = $HTTP_POST_VARS['post_news'];
      $input_edit_kat_img = $HTTP_POST_VARS['edit_kat_img'];
      $input_create_cats  = $HTTP_POST_VARS['create_cats'];
      $input_edit_smilies = $HTTP_POST_VARS['edit_smilies'];
      $input_edit_config  = $HTTP_POST_VARS['edit_config'];

      if($input_name == "" || $input_beschreibung == "") {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $complete_both,
                            "error_description"    => $complete_both_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      $db -> query("INSERT INTO $table_rank VALUES ('', '$input_name', '$input_beschreibung', '$input_use_html', '$input_use_smilies', '$input_edit_user', '$input_access_admin', '$input_edit_news', '$input_edit_komm', '$input_post_news', '$input_edit_kat_img', '$input_create_cats', '$input_edit_smilies', '$input_edit_config')");
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;
break;
case "edit":

     if($sess_rank['edit_user'] == 0) {
     header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
     exit;
     }

     $db -> query("SELECT * FROM $table_rank WHERE id = '".$HTTP_GET_VARS['rank_id']."'");
     $db -> next_record();

     $db_rank_name            = $db -> f("name");
     $db_rank_beschreibung    = $db -> f("beschreibung");
     $db_rank_use_html        = $db -> f("use_html");
     $db_rank_use_smilies     = $db -> f("use_smilies");
     $db_rank_edit_user       = $db -> f("edit_user");
     $db_rank_access_admin    = $db -> f("access_admin");
     $db_rank_edit_news       = $db -> f("edit_news");
     $db_rank_edit_kommentare = $db -> f("edit_kommentare");
     $db_rank_post_news       = $db -> f("post_news");
     $db_rank_edit_kat_img    = $db -> f("edit_kat_img");
     $db_rank_create_cats     = $db -> f("create_cats");
     $db_rank_edit_smilies    = $db -> f("edit_smilies");
     $db_rank_edit_config     = $db -> f("edit_config");

     if($db_rank_use_html == 1) {
     $use_html_s_a = 'selected';
     $use_html_s_b = '';
     } else {
     $use_html_s_a = '';
     $use_html_s_b = 'selected';
     }

     if($db_rank_use_smilies == 1) {
     $use_smilies_s_a = 'selected';
     $use_smilies_s_b = '';
     } else {
     $use_smilies_s_a = '';
     $use_smilies_s_b = 'selected';
     }

     if($db_rank_edit_user == 1) {
     $edit_user_s_a = 'selected';
     $edit_user_s_b = '';
     } else {
     $edit_user_s_a = '';
     $edit_user_s_b = 'selected';
     }

     if($db_rank_access_admin == 1) {
     $access_admin_s_a = 'selected';
     $access_admin_s_b = '';
     } else {
     $access_admin_s_a = '';
     $access_admin_s_b = 'selected';
     }

     if($db_rank_edit_news == 1) {
     $edit_news_s_a = 'selected';
     $edit_news_s_b = '';
     $edit_news_s_c = '';
     } elseif($db_rank_edit_news == 2) {
     $edit_news_s_a = '';
     $edit_news_s_b = 'selected';
     $edit_news_s_c = '';
     } else {
     $edit_news_s_a = '';
     $edit_news_s_b = '';
     $edit_news_s_c = 'selected';
     }

     if($db_rank_edit_kommentare == 1) {
     $edit_komm_s_a = 'selected';
     $edit_komm_s_b = '';
     $edit_komm_s_c = '';
     } elseif($db_rank_edit_kommentare == 2) {
     $edit_komm_s_a = '';
     $edit_komm_s_b = 'selected';
     $edit_komm_s_c = '';
     } else {
     $edit_komm_s_a = '';
     $edit_komm_s_b = '';
     $edit_komm_s_c = 'selected';
     }

     if($db_rank_post_news == 1) {
     $post_news_s_a = 'selected';
     $post_news_s_b = '';
     $post_news_s_c = '';
     } elseif($db_rank_post_news == 2) {
     $post_news_s_a = '';
     $post_news_s_b = 'selected';
     $post_news_s_c = '';
     } else {
     $post_news_s_a = '';
     $post_news_s_b = '';
     $post_news_s_c = 'selected';
     }

     if($db_rank_edit_kat_img == 1) {
     $edit_kat_img_s_a = 'selected';
     $edit_kat_img_s_b = '';
     } else {
     $edit_kat_img_s_a = '';
     $edit_kat_img_s_b = 'selected';
     }

     if($db_rank_create_cats == 1) {
     $create_cats_s_a = 'selected';
     $create_cats_s_b = '';
     } else {
     $create_cats_s_a = '';
     $create_cats_s_b = 'selected';
     }

     if($db_rank_edit_smilies == 1) {
     $edit_smilies_s_a = 'selected';
     $edit_smilies_s_b = '';
     } else {
     $edit_smilies_s_a = '';
     $edit_smilies_s_b = 'selected';
     }

     if($db_rank_edit_config == 1) {
     $edit_config_s_a = 'selected';
     $edit_config_s_b = '';
     } else {
     $edit_config_s_a = '';
     $edit_config_s_b = 'selected';
     }

     $tpl -> set_file(array(
                            "edit_rank" => "templates/admin/admin.rank.edit.tpl.html"
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "color_border"             => $color_border,
                           "color_even"               => $color_even,
                           "color_odd"                => $color_odd,
                           "color_standard"           => $color_standard,
                           "color_menu"               => $color_menu,
                           "copyright"                => $g_copyright,
                           "rank_id"                  => $HTTP_GET_VARS['rank_id'],
                           "rsn_uin"                  => $rsn_uin,
                           "rank_name"                => $db_rank_name,
                           "rank_description"         => $db_rank_beschreibung,
                           "use_html_s_a"             => $use_html_s_a,
                           "use_html_s_b"             => $use_html_s_b,
                           "use_smilies_s_a"          => $use_smilies_s_a,
                           "use_smilies_s_b"          => $use_smilies_s_b,
                           "edit_user_s_a"            => $edit_user_s_a,
                           "edit_user_s_b"            => $edit_user_s_b,
                           "access_admin_s_a"         => $access_admin_s_a,
                           "access_admin_s_b"         => $access_admin_s_b,
                           "edit_news_s_a"            => $edit_news_s_a,
                           "edit_news_s_b"            => $edit_news_s_b,
                           "edit_news_s_c"            => $edit_news_s_c,
                           "edit_komm_s_a"            => $edit_komm_s_a,
                           "edit_komm_s_b"            => $edit_komm_s_b,
                           "edit_komm_s_c"            => $edit_komm_s_c,
                           "post_news_s_a"            => $post_news_s_a,
                           "post_news_s_b"            => $post_news_s_b,
                           "post_news_s_c"            => $post_news_s_c,
                           "edit_kat_img_s_a"         => $edit_kat_img_s_a,
                           "edit_kat_img_s_b"         => $edit_kat_img_s_b,
                           "create_cats_s_a"          => $create_cats_s_a,
                           "create_cats_s_b"          => $create_cats_s_b,
                           "edit_smilies_s_a"         => $edit_smilies_s_a,
                           "edit_smilies_s_b"         => $edit_smilies_s_b,
                           "edit_config_s_a"          => $edit_config_s_a,
                           "edit_config_s_b"          => $edit_config_s_b
                           ));

     $tpl -> parse("output", array("edit_rank"));

     $tpl -> p("output");
     require("admin_footer.php");

break;
case "edit_now":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      include('function.inc.php');

      $input_name         = ReplaceNotAllowed($HTTP_POST_VARS['name']);
      $input_beschreibung = ReplaceNotAllowed($HTTP_POST_VARS['beschreibung']);
      $input_use_html     = $HTTP_POST_VARS['use_html'];
      $input_use_smilies  = $HTTP_POST_VARS['use_smilies'];
      $input_edit_user    = $HTTP_POST_VARS['edit_user'];
      $input_access_admin = $HTTP_POST_VARS['access_admin'];
      $input_edit_komm    = $HTTP_POST_VARS['edit_komm'];
      $input_edit_news    = $HTTP_POST_VARS['edit_news'];
      $input_post_news    = $HTTP_POST_VARS['post_news'];
      $input_edit_kat_img = $HTTP_POST_VARS['edit_kat_img'];
      $input_create_cats  = $HTTP_POST_VARS['create_cats'];
      $input_edit_smilies = $HTTP_POST_VARS['edit_smilies'];
      $input_edit_config  = $HTTP_POST_VARS['edit_config'];

      if($input_name == "" || $input_beschreibung == "") {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $complete_both,
                            "error_description"    => $complete_both_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      $db -> query("UPDATE $table_rank SET name = '$input_name', beschreibung = '$input_beschreibung', use_html = '$input_use_html', use_smilies = '$input_use_smilies', edit_user = '$input_edit_user', access_admin = '$input_access_admin', edit_news = '$input_edit_news', edit_kommentare = '$input_edit_komm', post_news = '$input_post_news', edit_kat_img = '$input_edit_kat_img', create_cats = '$input_create_cats', edit_smilies = '$input_edit_smilies', edit_config = '$input_edit_config' WHERE id = '".$HTTP_POST_VARS['rank_id']."'");
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;

break;
case "delete":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      if($HTTP_GET_VARS['rank_id'] == "" or !isset($HTTP_GET_VARS['rank_id'])) {
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      $tpl -> set_file(array(
                             "delete_rank" => "templates/admin/admin.rank.delete.tpl.html"
                             ));
      $tpl -> set_block("delete_rank", "ranks", "ranks_handle");

      //Welchen Rang sollen USer bekommen deren Rang jetzt gelscht wird?
      $db -> query("SELECT id, name FROM $table_rank ORDER BY name ASC");
      while($db -> next_record()) {

      $tpl -> set_var(array(
                            "ranks_id"    => $db -> f("id"),
                            "ranks_name"  => $db -> f("name")
                            ));

      $tpl -> parse("ranks_handle", "ranks", true);
      } //endwhile

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"                  => $g_copyright,
                            "rsn_uin"                    => $rsn_uin,
                            "rank_id"                    => $HTTP_GET_VARS['rank_id']
                            ));

      $tpl -> parse("output", array("delete_rank"));
      $tpl -> p("output");
      require("admin_footer.php");

break;
case "delete_now":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      $db -> query("UPDATE $table_user SET rang_id = '".$HTTP_POST_VARS['new_rank']."' WHERE rang_id = '".$HTTP_POST_VARS['rank_id']."'");
      $db -> free($db);
      $db -> query("DELETE FROM $table_rank WHERE id = '".$HTTP_POST_VARS['rank_id']."'");
      header("Location: admin_rank.php?rsn_uin=$rsn_uin&action=list");
      exit;

break;
}
?>