<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: admin_news.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################



//Konfiguration wurde schon in der session.inc.php vorgenommen
include("session.inc.php");


//Template laden
$tpl  = new Template();
$db_b = new DB_Sql();

//Befehle...
$tpl  -> set_unknowns("keep");

if(isset($HTTP_POST_VARS['action'])) {
$action = $HTTP_POST_VARS['action'];
} else {
$action = $HTTP_GET_VARS['action'];
}

switch($action) {
case "list":

      $tpl -> set_file(array("list" => "templates/admin/admin.user.list.tpl.html"));
      $tpl -> set_block("list", "users", "users_handle");

      $order_by = $HTTP_POST_VARS['order_by'];
      $sort_by  = $HTTP_POST_VARS['sort_by'];
      $limit    = $HTTP_POST_VARS['limit'];
      $filled   = $HTTP_POST_VARS['filled'];

      if($limit != "" && $filled == 1) {
      $db -> query("SELECT * FROM $table_user ORDER BY $sort_by $order_by LIMIT 0,$limit");
      } elseif($limit == "" && $filled == 1) {
      $db -> query("SELECT * FROM $table_user ORDER BY $sort_by $order_by");
      } else {
      $db -> query("SELECT * FROM $table_user");
      }

      while($db -> next_record()) {
      $user_id       = $db -> f("id");
      $user_login    = $db -> f("login");
      $user_nickname = $db -> f("nickname");
      $user_email    = $db -> f("email");
      $user_rank_id  = $db -> f("rang_id");

      $db_b -> query("SELECT id, name FROM $table_rank WHERE id = '$user_rank_id'");
      $db_b -> next_record();
      $rank_name = $db_b -> f("name");

      if($sess_rank['edit_user'] == 1) {
      $edit_row = "<a href=\"$rsnews_url/admin_user.php?rsn_uin=$rsn_uin&action=edit&user_id=$user_id\"><img src=\"$rsnews_url/images/$img_edit\" border=\"0\" alt=\"$alt_edit\"></a>
      &nbsp;&nbsp;<a href=\"$rsnews_url/admin_user.php?rsn_uin=$rsn_uin&action=delete&user_id=$user_id\"><img src=\"$rsnews_url/images/$img_delete\" border=\"0\" alt=\"$alt_delete\"></a>";
      } else {
      $edit_row = "&nbsp;";
      }

if($check_color) {
$color = 'odd';
$check_color = false;
} else {
$color = 'even';
$check_color = true;
}

      $tpl -> set_var(array(
                            "user_nickname"            => $user_nickname,
                            "user_login"               => $user_login,
                            "user_email"               => $user_email,
                            "user_rank"                => $rank_name,
                            "define"             => $color,
                            "edit_row"                 => $edit_row
                            ));
     $tpl -> parse("users_handle", "users", true);
     }      //endwhile

     require("admin_header.php");
     $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"                => $g_copyright,
                            "rsn_uin"                  => $rsn_uin
                            ));

     $tpl -> parse("output", array("list"));
     $tpl -> p("output");
     require("admin_footer.php");

break;
case "add":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_user.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      $tpl -> set_file(array("add" => "templates/admin/admin.user.add.tpl.html"));
      $tpl -> set_block("add", "ranks", "ranks_handle");

      $db -> query("SELECT id, name FROM $table_rank ORDER BY name ASC");
      while($db -> next_record()) {
      $rank_name = $db -> f("name");
      $rank_id   = $db -> f("id");

      $tpl -> set_var(array(
                            "rank_id"   => $rank_id,
                            "rank_name" => $rank_name
                            ));

      $tpl -> parse("ranks_handle", "ranks", true);
      } //endwhile

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"            => $g_copyright,
                            "rsn_uin"              => $rsn_uin
                            ));

      $tpl -> parse("output", array("add"));
      $tpl -> p("output");
      require("admin_footer.php");
break;
case "add_now":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_user.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }

      include('function.inc.php');

      $input_login            = ReplaceNotAllowed($HTTP_POST_VARS['login']);
      $input_nickname         = ReplaceNotAllowed($HTTP_POST_VARS['nickname']);
      $input_pass_a           = ReplaceNotAllowed($HTTP_POST_VARS['pass_a']);
      $input_pass_b           = ReplaceNotAllowed($HTTP_POST_VARS['pass_b']);
      $input_email            = ReplaceNotAllowed($HTTP_POST_VARS['email']);
      $input_rank_id          = $HTTP_POST_VARS['rank_id'];

      if($input_login == "" || $input_nickname == "" || $input_email == "" || $input_pass_a == "" || $input_pass_b == "") {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $complete_all,
                            "error_description"    => $complete_all_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      if($input_pass_a != $input_pass_b) {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $incorrect_pass,
                            "error_description"    => $incorrect_pass_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      if($db_b -> num_rows($db_b -> query("SELECT * FROM $table_user WHERE login = '$input_login' OR email = '$input_email'")) != 0) {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $already_present,
                            "error_description"    => $already_present_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      $password  = $input_pass_a;
      $loginname = $input_login;
      require("email.php");

      //User von seinem Glck in Kenntniss setzen
      mail($input_email, $b_user_added, $user_added, "From: $g_admin_name<$g_admin_email>");

      $pwd = md5($input_pass_a);

      srand((double)microtime()*100000);
      $new_uin = md5(uniqid(rand()));

      $db -> query("INSERT INTO $table_user VALUES ('', '$input_login', '$input_nickname', '$pwd', '$input_rank_id', '$input_email', '$new_uin')");
      $db -> free($db);
      $db -> query("INSERT INTO $table_comm_user VALUES ('', '$input_nickname', '$pwd', '$input_email', '1', '0')");
      header("Location: admin_user.php?rsn_uin=$rsn_uin&action=list");
      exit;
break;
case "edit":

      if($sess_rank['edit_user'] == 0) {
      header("Location: admin_user.php?rsn_uin$rsn_uin&action=list");
      exit;
      }

      $tpl -> set_file(array(
                             "edit_user" => "templates/admin/admin.user.edit.tpl.html"
                             ));

      $tpl -> set_block("edit_user", "ranks", "ranks_handle");

      $db_b -> query("SELECT * FROM $table_user WHERE id = '".$HTTP_GET_VARS['user_id']."'");
      $db_b -> next_record();

      //Rnge auslesen
      $db -> query("SELECT id, name FROM $table_rank ORDER BY name ASC");
      while($db -> next_record()) {
      $db_rank_id   = $db -> f("id");
      $db_rank_name = $db -> f("name");

      if($db_rank_id == $db_b -> f("rang_id")) {
      $selected = 'selected';
      } else {
      $selected = '';
      }

      $tpl -> set_var(array(
                            "rank_id"          => $db_rank_id,
                            "rank_name"        => $db_rank_name,
                            "rank_selected"    => $selected
                            ));

      $tpl -> parse("ranks_handle", "ranks", true);
      } //endwhile

      require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "copyright"             => $g_copyright,
                            "rsn_uin"               => $rsn_uin,
                            "user_id"               => $HTTP_GET_VARS['user_id'],
                            "old_email"             => $db_b -> f("email"),
                            "user_nickname"         => $db_b -> f("nickname"),
                            "user_login"            => $db_b -> f("login"),
                            "user_email"            => $db_b -> f("email")
                            ));

      $tpl -> parse("output", array("edit_user"));
      $tpl -> p("output");
      require("admin_footer.php");

break;
case "edit_now":

     if($sess_rank['edit_user'] == 0) {
     header("Location: admin_user.php?rsn_uin=$rsn_uin&action=list");
     exit;
     }

     include('function.inc.php');

     $input_nickname = ReplaceNotAllowed($HTTP_POST_VARS['nickname']);
     $input_pass_a   = ReplaceNotAllowed($HTTP_POST_VARS['pass_a']);
     $input_pass_b   = ReplaceNotAllowed($HTTP_POST_VARS['pass_b']);
     $input_email    = ReplaceNotAllowed($HTTP_POST_VARS['email']);
     $input_rank_id   = $HTTP_POST_VARS['rank_id'];

     if($input_nickname == "" || $input_email == "") {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $complete_all,
                            "error_description"    => $complete_all_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      if($input_pass_a != "" && $input_pass_b != "" && $input_pass_a != $input_pass_b) {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $incorrect_pass,
                            "error_description"    => $incorrect_pass_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      $new_pass = false;
      exit;
      } elseif($input_pass_a != "" && $input_pass_b != "" && $input_pass_a == $input_pass_b) {
      $new_pass = true;
      } else {
      $new_pass = false;
      }

      if($db_b -> num_rows($db_b -> query("SELECT * FROM $table_user WHERE email = '$input_email' AND email != '".$HTTP_POST_VARS['old_email']."'")) != 0) {
      $tpl -> set_file(array("error" => "templates/error.tpl.html "));
      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"       => $already_present,
                            "error_description"    => $already_present_desc
                            ));

      $tpl -> parse("output", array("error"));
      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }


      $pwd = md5($input_pass_a);

      srand((double)microtime()*100000);
      $new_uin = md5(uniqid(rand()));

      if($new_pass == true) {
      $db -> query("UPDATE $table_user SET nickname = '$input_nickname', pwd = '$pwd', rang_id = '$input_rank_id', email = '$input_email', rsn_uin = '$new_uin' WHERE id = '".$HTTP_POST_VARS['user_id']."'");
      header("Location: admin_user.php?rsn_uin=$rsn_uin&action=list");
      exit;
      } else {
      $db -> query("UPDATE $table_user SET nickname = '$input_nickname', rang_id = '$input_rank_id', email = '$input_email', rsn_uin = '$new_uin' WHERE id = '".$HTTP_POST_VARS['user_id']."'");
      header("Location: admin_user.php?rsn_uin=$rsn_uin&action=list");
      exit;
      }
break;
case "delete":

     if($sess_rank['edit_user'] == 0) {
     header("Location: admin_user.php?rsn_uin=$rsn_uin&action=list");
     exit;
     }

     $tpl -> set_file(array("delete_user" => "templates/admin/admin.user.delete.tpl.html"));
     $tpl -> set_block("delete_user", "user", "user_handle");

     $db -> query("SELECT id, nickname FROM $table_user ORDER BY nickname ASC");
     while($db -> next_record()) {
     $tpl -> set_var(array(
                           "user_id"   => $db -> f("id"),
                           "user_nick" => $db -> f("nickname")
                           ));

     $tpl -> parse("user_handle", "user", true);
     } //endwhile

     require("admin_header.php");
     $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                           "copyright"              => $g_copyright,
                           "user_id"                => $HTTP_GET_VARS['user_id'],
                           "rsn_uin"                => $rsn_uin
                           ));

     $tpl -> parse("output", array("delete_user"));
     $tpl -> p("output");
     require("admin_footer.php");

break;
case "delete_now":

     $input_user_id  = $HTTP_POST_VARS['news_an'];
     $user_id        = $HTTP_POST_VARS['user_id'];

     if($input_user_id == $user_id) {
     $tpl -> set_file(array(
                            "error" => "templates/error.tpl.html "
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "error_description"    => $same_user_desc,
                           "error_headline"       => $same_user
                           ));

     $tpl -> parse("output", array("error"));

     $tpl -> p("output");
     require("admin_footer.php");
     exit;
     } //endif

     $db -> free($db);

     $db -> query("SELECT nickname AS nick FROM $table_user WHERE id = '$user_id'");
     $db -> next_record();
     $nickname = $db -> f("nick");

     $db -> query("UPDATE $table_news SET autor_id = '$input_user_id' WHERE autor_id = '$user_id'");
     $db -> query("DELETE FROM $table_user WHERE id = '$user_id'");
     $db -> query("DELETE FROM $table_comm_user WHERE nick = '$nickname'");
     header("Location: admin_user.php?rsn_uin=$rsn_uin&action=list"); //EXITUS
     exit;

break;
}