<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: comm_forgot.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################

//Objekte laden

require('config.inc.php');                           //Konfigurationsdatei
include('template.inc');                             // Template Klasse laden
//include("db_mysql.php");                             // Datenbank Abstraktions Modul laden


//Initialisierung

$tpl  = new Template();
$db   = new DB_Sql();


//Befehle an die Klassen

$tpl->set_unknowns("keep");


//Switch um Aktionen zu definieren
if(isset($HTTP_POST_VARS['action'])) {
$option_action = $HTTP_POST_VARS['action'];
} else {
$option_action = $HTTP_GET_VARS['action'];
}

switch($option_action) {
default:

        //Zuweisung des Templates
        $tpl -> set_file(array(
                               "komm_pass" => "templates/komm.forgot.tpl.html"
                               ));

        //Definierung der Variablen
        require('header.php');
        $tpl -> set_var(array(
                              "copyright"   => $g_copyright,
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                              ));

        //parsen
        $tpl -> parse("output", array("komm_pass"));

        //Ausgabe
        $tpl -> p("output");
        require('footer.php');

break;
case "send_pass":

                 include('function.inc.php');

                 $email = ReplaceNotAllowed($email);

                 if($email == "") {
                 //Zuweisung des Templates
                 $tpl -> set_file(array(
                               "error_send_komm_pass" => "templates/error.tpl.html"
                               ));

                 //Definierung der Variablen
                 require('header.php');
                 $tpl -> set_var(array(
                              "error_headline"      => $invalid_email,
                              "error_description"   => $invalid_email_desc
                              ));

                 //parsen
                 $tpl -> parse("output", array("error_send_komm_pass"));

                 //Ausgabe
                 $tpl -> p("output");
                 require('footer.php');
                 exit;
                 } //endif

                 //Prfung der Email
                 if($db -> num_rows($db -> query("SELECT * FROM $table_comm_user WHERE email = '$email'")) != 1) {
                 //Zuweisung des Templates
                 $tpl -> set_file(array(
                               "error_send_komm_pass" => "templates/error.tpl.html"
                               ));

                 //Definierung der Variablen
                 require('header.php');
                 $tpl -> set_var(array(
                              "error_headline"      => $invalid_email,
                              "error_description"   => $invalid_email_desc
                              ));

                 //parsen
                 $tpl -> parse("output", array("error_send_komm_pass"));

                 //Ausgabe
                 $tpl -> p("output");
                 require('footer.php');
                 exit;
                 } //endif Prfung

                 $db -> next_record();
                 $db_nick = $db -> f("nick");
                 $db_id   = $db -> f("id");
                 $opw     = $db -> f("pwd");


                 #srand((double)microtime()*100000);
                 #$pre_new_pass = md5(uniqid(rand()));
                 #$pre_new_pass = strtolower($pre_new_pass);

                 #$new_pass = $pre_new_pass;
                 #$crypted_new_pass = md5($new_pass);

                 //Update, versenden und setzen des neuen Passworts
                 #$db -> query("UPDATE $table_comm_user SET pwd = '$crypted_new_pass' WHERE pwd = '$opw'");

                 require("email.php");

                 //User die URL zum neuen PW setzen mitteilen
                 mail($email, $b_send_komm_pass_email, $send_komm_pass_email, "From: $g_admin_name<$g_admin_email>");

                 //Zuweisung des Templates
                 $tpl -> set_file(array(
                               "send_komm_pass" => "templates/error.tpl.html"
                               ));

                 //Definierung der Variablen
                 require('header.php');
                 $tpl -> set_var(array(
                              "error_headline"      => $new_komm_pass,
                              "error_description"   => $new_komm_pass_desc
                              ));

                 //parsen
                 $tpl -> parse("output", array("send_komm_pass"));

                 //Ausgabe
                 $tpl -> p("output");
                 require('footer.php');

break;
case 'set_new':

                 if($opw == "" || !isset($opw)) {
                 header("Location: index.php");
                 exit;
                 }

                 //Zuweisung des Templates
                 $tpl -> set_file(array(
                               "set_komm_pass" => "templates/komm.newpass.tpl.html"
                               ));

                 //Definierung der Variablen
                 require('header.php');
                 $tpl -> set_var(array(
                              "copyright"   => $g_copyright,
                              "opw"         => $opw,
                              "color_border"                     => $color_border,
                              "color_even"                       => $color_even,
                              "color_odd"                        => $color_odd,
                              "color_standard"                   => $color_standard,
                              "color_menu"                       => $color_menu,
                              ));

        //parsen
        $tpl -> parse("output", array("set_komm_pass"));

        //Ausgabe
        $tpl -> p("output");
        require('footer.php');
break;
case 'update':
                 #if($opw == "" || !isset($opw)) {
                 #header("Location: index.php");
                 #exit;
                 #}

                 $db -> query("SELECT count(*) AS total FROM $table_comm_user WHERE pwd = '$opw'");
                 $db -> next_record();

                 if(($db -> f('total')) != 1) {
                 //Zuweisung des Templates
                 $tpl -> set_file(array(
                               "update_komm_pass" => "templates/error.tpl.html"
                               ));

                 //Definierung der Variablen
                 require('header.php');
                 $tpl -> set_var(array(
                              "error_headline"      => $bad_data,
                              "error_description"   => $bad_data_desc
                              ));

                 //parsen
                 $tpl -> parse("output", array("update_komm_pass"));

                 //Ausgabe
                 $tpl -> p("output");
                 require('footer.php');
                 exit;
                 }

                 $db -> query("SELECT * FROM $table_comm_user WHERE pwd = '$opw'");
                 $db -> next_record();

                 $user_id  = $db -> f("id");
                 $user_pwd = $db -> f("pwd");

                 $new_pwd_a = trim(htmlspecialchars($new_pwd_a));
                 $new_pwd_b = trim(htmlspecialchars($new_pwd_b));

                 if($new_pwd_a != $new_pwd_b) {
                 //Zuweisung des Templates
                 $tpl -> set_file(array(
                               "update_komm_pass" => "templates/error.tpl.html"
                               ));

                 //Definierung der Variablen
                 require('header.php');
                 $tpl -> set_var(array(
                              "error_headline"      => $incorrect_pass,
                              "error_description"   => $incorrect_pass_desc
                              ));

                 //parsen
                 $tpl -> parse("output", array("update_komm_pass"));

                 //Ausgabe
                 $tpl -> p("output");
                 require('footer.php');
                 exit;
                 }

                 $new_pwd = md5($new_pwd_a);

                 if(!$db -> query("UPDATE $table_comm_user SET pwd = '$new_pwd' WHERE pwd = '$opw'")) {
                 echo mysql_error();
                 exit;
                 } else {
                 header("Location:index.php");
                 exit;
                 }
break;
}

?>