<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: comment.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################

//Objekte laden

require('config.inc.php');                           //Konfigurationsdatei
include('template.inc');                             // Template Klasse laden
//include("db_mysql.php");                             // Datenbank Abstraktions Modul laden


//Initialisierung

$tpl  = new Template();
$db   = new DB_Sql();
$db_b = new DB_Sql(); //Fr die Reg-User Funktion


//Befehle an die Klassen

$tpl->set_unknowns("keep");


//Switch um Aktionen zu definieren
if(isset($HTTP_POST_VARS['action'])) {
$option_action = $HTTP_POST_VARS['action'];
} else {
$option_action = $HTTP_GET_VARS['action'];
}

switch($option_action) {
default:


//Zuordnung der Elemente

$tpl->set_file(array(
              "add_komm" => "templates/komm.add.form.tpl.html"
              ));


//Zuordnung der Platzhalter (Variablen)

if($use_komm_smilies == true) {
$smilies_komm_status = $on_text;
} else {
$smilies_komm_status = $off_text;
}

if($use_komm_hrc == true) {
$hrc_komm_status = $on_text;
} else {
$hrc_komm_status = $off_text;
}

require('header.php');
$tpl->set_var(array(
              "news_id"              => $id,
              "smilies_komm_status"  => $smilies_komm_status,
              "hrc_komm_status"      => $hrc_komm_status,
              "copyright"            => $g_copyright,
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
              ));

//Parsen

$tpl->parse("output", array("add_komm"));


//Ausgabe

$tpl->p("output");
require('footer.php');


break;


//Speicherung & berprfung des Textes

case "insert":

              require('function.inc.php');

              $nickname = ReplaceNotAllowed($nickname);
              $password = ReplaceNotAllowed($password);
              $titel    = ReplaceNotAllowed($titel);
              $kommentar= ReplaceNotAllowed($kommentar);
              $email    = ReplaceNotAllowed($email);
              $homepage = ReplaceNotAllowed($homepage);

              $crypted_password = md5($password); //Verschlsseln...

              if($nickname == "") {                                                     //Nickname Prfung
              $tpl->set_file(array(
                             "insert_komm" => "templates/error.tpl.html"
                             ));

              require('header.php');
              $tpl->set_var(array(
                            "error_headline"             => $empty_nickname,
                            "error_description"          => $empty_nickname_desc
                            ));

              //Parsen
              $tpl->parse("output", array("insert_komm"));

              //Ausgabe
              $tpl->p("output");
              require('footer.php');

              } elseif($titel == "") {                                                  //Titel Prfung
              $tpl->set_file(array(
                             "insert_komm" => "templates/error.tpl.html"
                             ));

              require('header.php');
              $tpl->set_var(array(
                            "error_headline"             => $empty_titel,
                            "error_description"          => $empty_titel_desc
                            ));

              //Parsen
              $tpl->parse("output", array("insert_komm"));

              //Ausgabe
              $tpl->p("output");
              require('footer.php');

              } elseif($kommentar == "") {                                              //Kommentar Prfung
              $tpl->set_file(array(
                             "insert_komm" => "templates/error.tpl.html"
                             ));

              require('header.php');
              $tpl->set_var(array(
                            "error_headline"             => $empty_kommentar,
                            "error_description"          => $empty_kommentar_desc
                            ));

              //Parsen
              $tpl->parse("output", array("insert_komm"));

              //Ausgabe
              $tpl->p("output");
              require('footer.php');

              } else {                                                                  //Speichern ...

              $keep = $db -> query("SELECT * FROM $table_comm_user WHERE nick = '$nickname'");

              if($password != "") {   //Falls Passwort angegeben wurde


              if($db -> num_rows() != 1) {
              $tpl->set_file(array(
                             "insert_komm" => "templates/error.tpl.html"
                             ));

              require('header.php');
              $tpl->set_var(array(
                            "error_headline"             => $invalid_nickname,
                            "error_description"          => $invalid_nickname_desc
                            ));

              //Parsen
              $tpl->parse("output", array("insert_komm"));

              //Ausgabe
              $tpl->p("output");
              require('footer.php');
              exit;
              }

              $db -> next_record();

              $db_nick     = $db -> f("nick");
              $db_email    = $db -> f("email");
              $db_password = $db -> f("pwd");
              $db_id       = $db -> f("id");
              $db_banned   = $db -> f("banned");

              if($crypted_password != $db_password) {

              $tpl->set_file(array(
                             "insert_komm" => "templates/error.tpl.html"
                             ));

              require('header.php');
              $tpl->set_var(array(
                            "error_headline"             => $wrong_password,
                            "error_description"          => $wrong_password_desc
                            ));

              //Parsen
              $tpl->parse("output", array("insert_komm"));

              //Ausgabe
              $tpl->p("output");
              require('footer.php');
              exit;
              } else {  //Zuordnung der UserID
              $user_id = $db_id;
              }



              } else { //endif (Passwort != "")  &&  User als unregistriert abstempeln
              $db -> query("SELECT * FROM $table_comm_user WHERE nick = '$nickname'");
              if($db->num_rows($db) != 0) {

              //Falls kein PW angegeben wurde, der Name aber schon registriert ist:
              $tpl->set_file(array(
                             "insert_komm" => "templates/error.tpl.html"
                             ));

              require('header.php');
              $tpl->set_var(array(
                            "error_headline"             => $wrong_password,
                            "error_description"          => $wrong_password_desc
                            ));

              //Parsen
              $tpl->parse("output", array("insert_komm"));

              //Ausgabe
              $tpl->p("output");
              require('footer.php');
              exit;
              } //endif(s.o.)

              //sonst UserID = 0
              $user_id = 0;
              }


              //Falls der User gebannt wurde (vom Admin o..)
              if($db_banned == 1) {
              $tpl->set_file(array(
                             "insert_komm" => "templates/error.tpl.html"
                             ));

              require('header.php');
              $tpl->set_var(array(
                            "error_headline"             => $banned_komm_user,
                            "error_description"          => $banned_komm_user_desc
                            ));

              //Parsen
              $tpl->parse("output", array("insert_komm"));

              //Ausgabe
              $tpl->p("output");
              require('footer.php');
              exit;
              }//endif


              $datum    = date("Y-m-d H-i-s", (time()+$offset));

              if($user_id != 0) {
              $use_email = $db_email;
              } else {
              $use_email = $email;
              }

              $db->query("INSERT INTO $table_comm VALUES ('', '$titel', '$kommentar', '$homepage', '$use_email', '$news_id', '$datum', '$nickname', '$user_id')");
              if(!$db) {

              //Dateien zuordnen
              $tpl->set_file(array(
                             "insert_komm" => "templates/error.tpl.html"
                             ));

              //Platzhalter definieren
              require('header.php');
              $tpl->set_var(array(
                            "error_headline"    => $internal_error,
                            "error_description" => $internal_error_desc
                            ));

              //Parsen
              $tpl->parse("output", array("insert_komm"));

              //Ausgabe
              $tpl->p("output");
              require('footer.php');

              } else {  //Falls erfolgreich

              header("Location: comment.php?action=show&amp;news_id=$news_id");
              exit;

              }

              } //Ende berprfung


break;
case "show":

            require('function.inc.php');

             $tpl->set_file(array(
                           "show_komms"  =>  "templates/komm.tpl.html"
                           ));

            $tpl->set_block("show_komms", "komms_parent", "show_komms_handle");
            $tpl->set_block("show_komms", "pages_b", "pages_handle_b");
            $tpl->set_block("show_komms", "pages", "pages_handle");

            //Seitenzahlen:

            $db -> free($db);

            $db -> free($db);
            $db -> query("SELECT count(*) AS total FROM $table_comm WHERE news_id = '$news_id'");
            $db -> next_record();
            $num_rows = $db -> f("total");

            if(isset($seite)) {
            $k_seite = $seite;
            } else {
            $k_seite = 1;
            }

            $seite = 1;

            if($num_rows == 0) {
            $tpl -> set_var(array(
                                  "seiten"             => '1'
                                  ));
            $tpl -> parse("pages_handle", "pages", true);
            $start = (($seite-1)*$komms_per_site);
            $ende  = ($seite*$komms_per_site);


            } elseif(($num_rows) < ($seite*$komms_per_site)) {
            $tpl -> set_var(array(
                                  "seiten"             => '<b>1</b>'
                                  ));
            $tpl -> parse("pages_handle", "pages", true);
            $start = (($seite-1)*$komms_per_site);
            $ende  = ($seite*$komms_per_site);


            } else {

            while ((($seite-1)*$komms_per_site) < $num_rows) {

            if($seite == $k_seite) {
             $pages = "<b>$seite</b>&nbsp;";
            } else {
             $pages = "<a href=\"comment.php?action=show&amp;news_id=$news_id&amp;seite=$seite\">$seite</a>&nbsp;";
            }

            $tpl -> set_var(array(
                                  "seiten"             => $pages
                                  ));
            $tpl -> parse("pages_handle", "pages", true);

            $seite = ($seite+1);


            } //endwhile
            $seite = $k_seite;
            $start = (($seite-1)*$komms_per_site);
            } //endif


    //Ende 1
    //Beginn 2

            $db -> free($db);

            $db -> free($db);
            $db -> query("SELECT count(*) AS total FROM $table_comm WHERE news_id = '$news_id'");
            $db -> next_record();
            $num_rows = $db -> f("total");

            if(isset($seite)) {
            $k_seite = $seite;
            } else {
            $k_seite = 1;
            }

            $seite = 1;

            if($num_rows == 0) {
            $tpl -> set_var(array(
                                  "seiten_b"             => '1'
                                  ));
            $tpl -> parse("pages_handle_b", "pages_b", true);
            $start = (($seite-1)*$komms_per_site);
            $ende  = ($seite*$komms_per_site);


            } elseif(($num_rows) < ($seite*$komms_per_site)) {
            $tpl -> set_var(array(
                                  "seiten_b"             => '<b>1</b>'
                                  ));
            $tpl -> parse("pages_handle_b", "pages_b", true);
            $start = (($seite-1)*$komms_per_site);
            $ende  = ($seite*$komms_per_site);


            } else {

            while ((($seite-1)*$komms_per_site) < $num_rows) {

            if($seite == $k_seite) {
             $pages = "<b>$seite</b>&nbsp;";
            } else {
             $pages = "<a href=\"comment.php?action=show&amp;news_id=$news_id&amp;seite=$seite\">$seite</a>&nbsp;";
            }

            $tpl -> set_var(array(
                                  "seiten_b"             => $pages
                                  ));
            $tpl -> parse("pages_handle_b", "pages_b", true);

            $seite = ($seite+1);


            } //endwhile
            $seite = $k_seite;
            $start = (($seite-1)*$komms_per_site);
            } //endif

            //Ende 2

            $db->query("SELECT id, titel, kommentar, homepage, email, news_id, datum, nickname, user_id FROM $table_comm WHERE news_id='$news_id' ORDER BY datum DESC LIMIT $start, $komms_per_site");


            //Falls keine Kommentare vorhanden sind:

            if($db->num_rows() == 0) {

            if($check_color) {
            $color = $color_odd;
            $check_color = false;
            } else {
            $color = $color_even;
            $check_color = true;
            }

            $tpl->set_var(array(
                                     "komm_autor"              => "&nbsp;",
                                     "komm_titel"              => $no_komms_title,
                                     "komm_am"                 => "&nbsp;",
                                     "komm_um"                 => "&nbsp;",
                                     "komm_text"               => $no_komms_desc,
                                     "komm_autor_email"        => "&nbsp;",
                                     "komm_autor_www"          => "&nbsp;",
                                     "komm_autor_status"       => "&nbsp;",
                                     "color_define"            => $color
                                     ));
           $tpl->parse("show_komms_handle", "komms_parent", true);

           } else {    //Ansonsten:

            while($db->next_Record()) {

if($check_color) {
$color = $color_odd;
$check_color = false;
} else {
$color = $color_even;
$check_color = true;
}

            $eintrag = $db->f("kommentar");

            $comment = FormatOutput_ForHRC($eintrag);

if($use_komm_smilies) {
$comment = SetSmilies($comment);
}

if($use_komm_hrc) {
$comment = ReplaceHRC($comment);
}



            $autor_email = $db->f("email");
            $autor_www = $db->f("homepage");

            if($autor_email == "") {
            $komm_autor_email = "";
            } else {
            $komm_autor_email = "<a href=\"mailto:$autor_email\"><img border=\"0\" alt=\"$alt_mailto\" src=\"images/$img_email\"></a>";
            }

            if($autor_www != "" && $autor_www != "http://" && $autor_email != "") {
            $komm_autor_email = "".$komm_autor_email."&nbsp;&nbsp;";
            }

            if($autor_www == "" || $autor_www == "http://") {
            $komm_autor_www = "";
            } else {
            $komm_autor_www = "<a href=\"$autor_www\" target=\"_blank\"><img border=\"0\" src=\"images/$img_hp\" alt=\"$alt_gotowww\"></a>";
            }

            //Prfen ob Userid grer als Null ist (sonst unregistriert)
            $user_id = $db -> f("user_id");
            if($user_id == 0) {
            $autor_output = $userstatus_komm_none;  //Fr Gste
            } else {
            $db_b -> query("SELECT * FROM $table_comm_user WHERE id = '$user_id'");
            $db_b -> next_record();
            $user_status  = $db_b -> f("news_autor");
            $user_nick_db = $db_b -> f("nick");
            if($user_status == 0) {
            $autor_output = $userstatus_komm_reg;  //Fr gereggte User
            } else {
            #$db_b -> free($db_b);
            $db_b -> query("SELECT rang_id FROM $table_user WHERE nickname = '$user_nick_db'");
            $db_b -> next_record();
            $db_b -> query("SELECT name FROM $table_rank WHERE id = '".$db_b -> f("rang_id")."'");
            $db_b -> next_record();
            $rank_name    = $db_b -> f("name");

            if($use_komm_standard_title) {
            $autor_output = $userstatus_komm_news; //Fr Newsposter
            } else {
            $autor_output = $rank_name; //Fr Newsposter - Interner Rang wird angezeigt
            }
            }
            } //endif


            $datum    = $db->f("datum");
            $date_pre = calc_date($datum);
            $date_pre = explode(' ', $date_pre);
            $am = "$g_am ".$date_pre['0']."";
            $um = "$g_um ".$date_pre['1']."";

                       $tpl->set_var(array(
                                     "komm_autor"              => No_AUTOBR($db->f("nickname")),
                                     "komm_titel"              => No_AUTOBR($db->f("titel")),
                                     "komm_am"                 => $am,
                                     "komm_um"                 => $um,
                                     "komm_text"               => $comment,
                                     "komm_autor_email"        => $komm_autor_email,
                                     "komm_autor_www"          => $komm_autor_www,
                                     "komm_autor_status"       => $autor_output,
                                     "color_define"            => $color
                                     ));
                       $tpl->parse("show_komms_handle", "komms_parent", true);

            } //Ende while

            } //Ende der If-Schleife (Keine Kommentare)


            $db -> free($db);
            $db -> query("SELECT count(*) AS total FROM $table_comm WHERE news_id = '$news_id'");
            $db -> next_record();
            $total_komm = $db -> f("total");

            //"Feste" Variablen
            require('header.php');
            $tpl->set_var(array(
                          "add_komm"                     => "<a href=\"comment.php?id=$news_id\">$add_komm</a>",
                          "num_komms"                    => $total_komm,
                          "page_komm"                    => $page_komm,
                          "copyright"                    => $g_copyright,
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu
                          ));

            $tpl->parse("output", array("show_komms"));

            $tpl->p("output");
            require('footer.php');


break;
case "register":  //Nick registrieren Screen anzeigen


                   $tpl->set_file(array(
                             "register" => "templates/komm.register.tpl.html"
                             ));

                   //Platzhalter definieren
                   require('header.php');
                   $tpl->set_var(array(
                                       "news_id"           => $news_id,
                                       "copyright"                    => $g_copyright,
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu
                                       ));

                   //Parsen
                   $tpl->parse("output", array("register"));

                   //Ausgabe
                   $tpl->p("output");
                   require('footer.php');

break;
case "register_now": //Nick jetzt registrieren

                   require('function.inc.php');

                   //Formatieren
                   $nickname = ReplaceNotAllowed($nickname);
                   $password = ReplaceNotAllowed($pwd);
                   $email    = ReplaceNotAllowed($email);

                   $crypted_password = md5($password);  //Verschlsseln....


                   if($nickname == "") {

                   $tpl->set_file(array(
                             "register_now" => "templates/error.tpl.html"
                             ));

                   //Platzhalter definieren
                   require('header.php');
                   $tpl->set_var(array(
                                       "error_headline"    => $empty_nickname,
                                       "error_description" => $empty_nickname_desc
                                       ));

                   //Parsen
                   $tpl->parse("output", array("register_now"));

                   //Ausgabe
                   $tpl->p("output");
                   require('footer.php');
                   exit;

                   } elseif($password == "") {

                   $tpl->set_file(array(
                             "register_now" => "templates/error.tpl.html"
                             ));

                   //Platzhalter definieren
                   require('header.php');
                   $tpl->set_var(array(
                                       "error_headline"    => $invalid_pass,
                                       "error_description" => $invalid_pass_desc
                                       ));

                   //Parsen
                   $tpl->parse("output", array("register_now"));

                   //Ausgabe
                   $tpl->p("output");
                   require('footer.php');
                   exit;

                   } elseif($email == "") {

                   $tpl->set_file(array(
                             "register_now" => "templates/error.tpl.html"
                             ));

                   //Platzhalter definieren
                   require('header.php');
                   $tpl->set_var(array(
                                       "error_headline"    => $invalid_email,
                                       "error_description" => $invalid_email_desc
                                       ));

                   //Parsen
                   $tpl->parse("output", array("register_now"));

                   //Ausgabe
                   $tpl->p("output");
                   require('footer.php');
                   exit;

                   } //Ende Prfung auf Leerstellen


                   //Prfung ob schon ein Nick oder eine Email Addresse vorhanden ist, die den eingegebenen Daten entspricht
                   #$db -> free($db);
                   $db -> query("SELECT count(*) AS total FROM $table_comm_user WHERE nick LIKE '%%%$nickname%%%'");
                   $db -> next_record();
                   $a = $db -> f("total");

                   if($a != 0) {
                   $tpl->set_file(array(
                             "register_now" => "templates/error.tpl.html"
                             ));

                   //Platzhalter definieren
                   require('header.php');
                   $tpl->set_var(array(
                                       "error_headline"    => $nick_alreadygone,
                                       "error_description" => $nick_alreadygone_desc
                                       ));

                   //Parsen
                   $tpl->parse("output", array("register_now"));

                   //Ausgabe
                   $tpl->p("output");
                   require('footer.php');
                   exit;
                   } //endif
     //2
                   #$db -> free($db);
                   $db -> query("SELECT * FROM $table_comm_user WHERE email = '$email'");

                   if($db -> num_rows($db) != 0) {
                   $tpl->set_file(array(
                             "register_now" => "templates/error.tpl.html"
                             ));

                   //Platzhalter definieren
                   require('header.php');
                   $tpl->set_var(array(
                                       "error_headline"    => $mail_alreadygone,
                                       "error_description" => $mail_alreadygone_desc
                                       ));

                   //Parsen
                   $tpl->parse("output", array("register_now"));

                   //Ausgabe
                   $tpl->p("output");
                   require('footer.php');
                   exit;
                   } //endif


                   if(!$db -> query("INSERT INTO $table_comm_user VALUES ('', '$nickname', '$crypted_password', '$email', '0', '0')")) {
                   $tpl->set_file(array(
                             "register_now" => "templates/error.tpl.html"
                             ));

                   //Platzhalter definieren
                   require('header.php');
                   $tpl->set_var(array(
                                       "error_headline"    => $internal_error,
                                       "error_description" => $internal_error_desc
                                       ));

                   //Parsen
                   $tpl->parse("output", array("register_now"));

                   //Ausgabe
                   $tpl->p("output");
                   require('footer.php');
                   exit;

                   } else {

                   require("email.php");

                   //User informieren, dass Nick gereggt ist
                   mail($email, $b_register_nick_email, $register_nick_email, "From: $g_admin_name<$g_admin_email>");

                   $tpl->set_file(array(
                             "register_now" => "templates/error.tpl.html"
                             ));

                   //Platzhalter definieren
                   require('header.php');
                   $tpl->set_var(array(
                                       "error_headline"    => $nick_registered,
                                       "error_description" => $nick_registered_desc
                                       ));

                   //Parsen
                   $tpl->parse("output", array("register_now"));

                   //Ausgabe
                   $tpl->p("output");
                   require('footer.php');



                   } //Endif





break;
} //Ende switch