<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: function.inc.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################

//Ungltige Zeichen entfernen

function ReplaceNotAllowed($eintrag) {

         $eintrag = trim($eintrag);
         $eintrag = addslashes($eintrag);
         //$eintrag = htmlspecialchars($eintrag, ENT_QUOTES);
         //$eintrag = str_replace("", "&auml;", $eintrag);
         //$eintrag = str_replace("", "&uuml;", $eintrag);
         //$eintrag = str_replace("", "&ouml;", $eintrag);
         //$eintrag = str_replace("", "&Auml;", $eintrag);
         //$eintrag = str_replace("", "&Ouml;", $eintrag);
         //$eintrag = str_replace("", "&Uuml;", $eintrag);
         //$eintrag = str_replace("", "&szlig;", $eintrag);
         //$eintrag = str_replace("", "&euro;", $eintrag);

         return $eintrag;

}

function FormatOutput_ForHRC($eintrag) {

         $eintrag = stripslashes($eintrag);
         //$eintrag = str_replace("&", "&amp;", $eintrag);
         $eintrag = str_replace("<", "&lt;", $eintrag);
         $eintrag = str_replace(">", "&gt;", $eintrag);
         $eintrag = str_replace('"', "&quot;", $eintrag);
         $eintrag = str_replace("'", "&#039;", $eintrag);
         $eintrag = nl2br($eintrag);

         return $eintrag;

}



function FormatOutput_ForHTML($eintrag) {

         $eintrag = stripslashes($eintrag);
         $eintrag = nl2br($eintrag);

         return $eintrag;
}

function No_AUTOBR($eintrag) {

         $eintrag = stripslashes($eintrag);
         $eintrag = str_replace("[br]", "<br>", $eintrag);
         $eintrag = str_replace("[BR]", "<br>", $eintrag);

         return $eintrag;
}


//HRC's von Usern ohne HTML Rechte umwandeln

function ReplaceHRC($eintrag) {

         $eintrag = str_replace("[i]", "<i>", $eintrag);          //Kursiv
         $eintrag = str_replace("[/i]", "</i>", $eintrag);

         $eintrag = str_replace("[b]", "<b>", $eintrag);          //Fett
         $eintrag = str_replace("[/b]", "</b>", $eintrag);

         $eintrag = str_replace("[u]", "<u>", $eintrag);          //Unterstrichen
         $eintrag = str_replace("[/u]", "</u>", $eintrag);

         $eintrag = str_replace("[img]", "<img border=\"0\" alt=\"\" src=", $eintrag);   //Bilder
         $eintrag = str_replace("[/img]", ">", $eintrag);

         $eintrag = eregi_replace("\\[email\\]([^\\[]*)\\[/email\\]", "<a href=\"mailto:\\1\">\\1</a>", $eintrag);     //Emaillinks

         $eintrag = eregi_replace("\\[url\\]www.([^\\[]*)\\[/url\\]", "<a href=\"http://www.\\1\" target=\"_blank\">\\1</a>", $eintrag);    //URL Links ( [url] )
         $eintrag = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]", "<a href=\"\\1\" target=\"_blank\">\\1</a>", $eintrag);

         $eintrag = eregi_replace("\\[url=\"([^\"]*)\"\\]([^\\[]*)\\[\\/url\\]","<a href=\"\\1\" target=\"_blank\">\\2</a>", $eintrag);    //URL Links ( [url= )
         $eintrag = eregi_replace("\\[url=([^\"]*)\\]([^\\[]*)\\[\\/url\\]", "<a href=\"\\1\" target=\"_blank\">\\2</a>", $eintrag);

         $eintrag = str_replace("[hr]", "<hr>", $eintrag);          //Trennlinie

         return $eintrag;

}


//Smilies ersetzen

function SetSmilies($eintrag) {

         global $table_smilies;

         $db_s = new Db_Sql();

         $db_s -> query("SELECT * FROM $table_smilies");
         while($db_s -> next_record()) {
         $g_s[] = array(
                        code            => $db_s -> f("code"),
                        bedeutung       => $db_s -> f("bedeutung"),
                        url             => $db_s -> f("url")
                        );
         }

         foreach($g_s AS $s_c) {
         $eintrag = str_replace("".$s_c['code']."", "<img src=\"".$s_c['url']."\" border=\"0\" alt=\"".$s_c['bedeutung']."\">", $eintrag);
         }

         return $eintrag;

}


/*Monatsnamen einsetzen

function set_month($string) {

         global $month_jan, $month_feb, $month_mrz, $month_apr, $month_may, $month_jun, $month_jul, $month_aug, $month_sep, $month_oct, $month_nov, $month_dec;

         $string = str_replace("01&nbsp;", "".$month_jan."&nbsp;", $string);
         $string = str_replace("02&nbsp;", "".$month_feb."&nbsp;", $string);
         $string = str_replace("03&nbsp;", "".$month_mrz."&nbsp;", $string);
         $string = str_replace("04&nbsp;", "".$month_apr."&nbsp;", $string);
         $string = str_replace("05&nbsp;", "".$month_may."&nbsp;", $string);
         $string = str_replace("06&nbsp;", "".$month_jun."&nbsp;", $string);
         $string = str_replace("07&nbsp;", "".$month_jul."&nbsp;", $string);
         $string = str_replace("08&nbsp;", "".$month_aug."&nbsp;", $string);
         $string = str_replace("09&nbsp;", "".$month_sep."&nbsp;", $string);
         $string = str_replace("10&nbsp;", "".$month_oct."&nbsp;", $string);
         $string = str_replace("11&nbsp;", "".$month_nov."&nbsp;", $string);
         $string = str_replace("12&nbsp;", "".$month_dec."&nbsp;", $string);

         return $string;


$month_jan            = "Januar";
$month_feb            = "Februar";
$month_mrz            = "M&auml;rz";
$month_apr            = "April";
$month_may            = "Mai";
$month_jun            = "Juni";
$month_jul            = "Juli";
$month_aug            = "August";
$month_sep            = "September";
$month_oct            = "Oktober";
$month_nov            = "November";
$month_dec            = "Dezember";

} */


//Datum weiterverarbeiten

function calc_date($g_date) {

         global $date_format, $time_format, $time_offset;

         $b_date       = explode(' ', $g_date);
         $g_datum      = explode('-', $b_date['0']);
         $g_zeit       = explode(':', $b_date['1']);

         $g_timestamp  = mktime($g_zeit['0'], $g_zeit['1'], $g_zeit['2'], $g_datum['1'], $g_datum['2'], $g_datum['0']);
         $g_timestamp  = ($g_timestamp + $time_offset);

         $g_date       = date("".$date_format." ".$time_format."", $g_timestamp);

         return $g_date;

}


//Quellen formatieren

function get_link($link_url, $link_titel, $source_link = "") {

         global $source, $source_nosource;

         $link_pre  = explode("; ", $link_url);
         $titel_pre = explode("; ", $link_titel);

         for($q=0; $q<=count($titel_pre); $q++) {

         if($link_pre[$q] != "" && $titel_pre[$q] != "") {
         $source_link[] = "<a href=\"".$link_pre[$q]."\" target=\"_blank\">".$titel_pre[$q]."</a>";

         } elseif($link_pre[$q] != "" && $titel_pre[$q] == "") {
         $source_link[] = "<a href=\"".$link_pre[$q]."\" target=\"_blank\">".$link_pre[$q]."</a>";

         } elseif($link_pre[$q] == "" && $titel_pre[$q] != "") {
         $source_link[] = "".$titel_pre[$q]."";

         } else {
         $source_link[] = "";
         }

         } //endfor

         $source_link = implode(' - ', $source_link);

         $source_link = preg_replace("/\s\-\s$/", "", $source_link);

         if(trim($source_link) != "") {
         $source_link = "".$source." ".$source_link."";
         } else {
         $source_link = "".$source." ".$source_nosource."";
         }

         return $source_link;

}


?>