<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: more.php
//   Autor: Christoph Eschweiler
//   Beginn: 14.07.2001


#####################################################
#####################################################


//Objekte laden

require('config.inc.php');                           //Konfigurationsdatei
include('template.inc');                             // Template Klasse laden
//include("db_mysql.php");                             // Datenbank Abstraktions Modul laden


//Initialisierung

$tpl = new Template();
$db  = new DB_Sql();
$db_a = new DB_Sql(); //Fr Autor
$db_b = new DB_Sql(); //Fr Kommentare


//Befehle an die Klasse

$tpl->set_unknowns("keep");


if(!isset($news_id)) {
header('Location: index.php');
exit;
}

//Zuordnung der Elemente

$tpl->set_file(array(
               "more"     => "templates/more.tpl.html"
               ));


$db -> query("SELECT id, titel, kategorie, text, more_text, autor_id, aktiviert, auto_br, smilies, html, datum, quelle_url, quelle_titel FROM $table_news WHERE id = '$news_id'");
$db -> next_record();

$news_id                 = $db -> f("id");
$news_status             = $db -> f("aktiviert");
$autor_id                = $db -> f("autor_id");
$html                    = $db -> f("html");

if($news_status == 0) {
header('Location: index.php');
exit;
}

$db_b -> query("SELECT * FROM $table_user WHERE id = '$autor_id'");
$db_b -> next_record();
$autor_name = $db_b -> f("nickname");
$autor_rank = $db_b -> f("rang_id");

$db_a -> query("SELECT id, use_html, use_smilies FROM $table_rank WHERE id = '$autor_rank'");
$db_a -> next_record();
$use_html    = $db_a -> f("use_html");
$use_smilies = $db_a -> f("use_smilies");

$short_news = $db -> f("text");
$long_news  = $db -> f("more_text");



//Optionen ausfhren
include('function.inc.php');


//HTML/HRC "kurz"
if($use_html != 1) {
       $short_news = FormatOutput_ForHRC($short_news);
       $short_news = ReplaceHRC($short_news);
} elseif($html != 1) {
       $short_news = FormatOutput_ForHRC($short_news);
       $short_news = ReplaceHRC($short_news);
} else {
       $short_news = FormatOutput_ForHTML($short_news);
}

//Smilies "kurz"
if($use_smilies == 1 && $db->f("smilies") == 1) {
$short_news = SetSmilies($short_news);
}

//HTML/HRC "lang"
if($use_html != 1) {
       $long_news = FormatOutput_ForHRC($long_news);
       $long_news = ReplaceHRC($long_news);
} elseif($html != 1) {
       $long_news = FormatOutput_ForHRC($long_news);
       $long_news = ReplaceHRC($long_news);
} else {
       $long_news = FormatOutput_ForHTML($long_news);
}

//Smilies "lang"
if($use_smilies == 1 && $db->f("smilies") == 1) {
$long_news = SetSmilies($long_news);
}


if($db -> f("auto_br") == 0) {
$short_news = No_AUTOBR($short_news);
$long_news  = No_AUTOBR($long_news);
}

$quelle_url = $db -> f("quelle_url");
$quelle_titel = $db -> f("quelle_titel");


$source_link = get_link($quelle_url, $quelle_titel);


       require('header.php');
       $tpl -> set_var(array(
                             "copyright"               => $g_copyright,
                             "autor"                   => $autor_name,
                             "kategorie"               => FormatOutput_ForHRC($db -> f("kategorie")),
                             "titel"                   => FormatOutput_ForHRC($db -> f("titel")),
                             "datum"                   => calc_date($db -> f("datum")),
                             "short_text"              => $short_news,
                             "long_text"               => $long_news,
                             "source"                  => $source_link,
                             "komm_link"               => "comment.php?id=$news_id",
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu
                                       ));


       $tpl -> parse("output", array("more"));

       $tpl -> p("output");
       require('footer.php');