<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: search.php
//   Autor: Christoph Eschweiler
//   Beginn: 14.07.2001


#####################################################
#####################################################


//Objekte laden

require('config.inc.php');                           //Konfigurationsdatei
include('template.inc');                             // Template Klasse laden
//include("db_mysql.php");                             // Datenbank Abstraktions Modul laden


//Initialisierung

$tpl = new Template();
$db  = new DB_Sql();
$db_b = new DB_Sql(); //Fr Kommentare


//Befehle an die Klasse

$tpl->set_unknowns("keep");

if(isset($HTTP_GET_VARS['action'])) {
$action = $HTTP_GET_VRS['action'];
} elseif(isset($HTTP_POST_VARS['action'])) {
$action = $HTTP_POST_VARS['action'];
}

switch($action) {
default:

        $tpl -> set_file(array(
                               "search" => "templates/search.tpl.html"
                               ));

        require('header.php');
        $tpl -> set_var(array(
                              "copyright"             => $g_copyright,
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
"news_kategorie"                   => "&nbsp;",
"news_titel"                       => "&nbsp;",
"news_autor"                       => "&nbsp;",
"nickname"                         => '',
"kategorie"                        => '',
"titel"                            => '',
"news_text"                        => '',
"color_define"                     => $color_even
                                       ));

        $tpl -> parse("output", array("search"));

        $tpl -> p("output");
        require('footer.php');

break;
case "search_now":

      if($HTTP_POST_VARS['searched'] != 1) {
      header("Location: search.php");
      exit;
      }


      $tpl -> set_file(array("list_results" => "templates/search.tpl.html"));


      include('function.inc.php');

      $search_nickname  = ReplaceNotAllowed($HTTP_POST_VARS['nickname']);
      $search_titel     = ReplaceNotAllowed($HTTP_POST_VARS['titel']);
      $search_kategorie = ReplaceNotAllowed($HTTP_POST_VARS['kategorie']);
      $search_text      = ReplaceNotAllowed($HTTP_POST_VARS['news_text']);

      if($search_nickname == "" && $search_titel == "" && $search_kategorie == "" && $search_text == "") {
      header("Location: search.php");
      exit;
      }

      if($search_nickname == "") {
      if($search_titel != "") {
      $db -> query("SELECT id, titel, kategorie, text, more_text, autor_id FROM $table_news WHERE titel LIKE '%$search_titel%' AND aktiviert = '1' ORDER BY ".$HTTP_POST_VARS['order_by']." ".$HTTP_POST_VARS['sort_by']."");
      } elseif($search_kategorie != "") {
      $db -> query("SELECT id, titel, kategorie, text, more_text, autor_id FROM $table_news WHERE kategorie LIKE '%$search_kategorie%' AND aktiviert = '1' ORDER BY ".$HTTP_POST_VARS['order_by']." ".$HTTP_POST_VARS['sort_by']."");
      } elseif($search_text != "") {
      $db -> query("SELECT id, titel, kategorie, text, more_text, autor_id FROM $table_news WHERE text LIKE '%$search_titel%' OR more_text LIKE '%$search_text%' AND aktiviert = '1' ORDER BY ".$HTTP_POST_VARS['order_by']." ".$HTTP_POST_VARS['sort_by']."");
      } else {
      $db -> query("SELECT id, titel, kategorie, text, more_text, autor_id FROM $table_news WHERE titel LIKE '%$search_titel%' AND kategorie LIKE '%$seach_kategorie%' AND text LIKE '%$seach_text%' AND more_text LIKE '%$seach_text%' AND aktiviert = '1' ORDER BY ".$HTTP_POST_VARS['order_by']." ".$HTTP_POST_VARS['sort_by']."");
      }


      if($db -> num_rows() == 0) {
      require('header.php');
      $tpl -> set_var(array(
                            "copyright"             => $g_copyright,
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
"news_kategorie"                   => "Keine Ergebnisse",
"news_titel"                       => "Keine Ergebnisse",
"news_autor"                       => "Keine Ergebnisse",
"nickname"                         => $search_nickname,
"kategorie"                        => $search_kategorie,
"titel"                            => $search_titel,
"news_text"                        => $search_text,
"color_define"                     => $color_even
                                       ));
$tpl -> parse("output", array("list_results"));
$tpl -> p("output");
require('footer.php');
exit;
} //endif num_rows

$tpl -> set_block("list_results", "list_news", "list_news_handle");



while($db -> next_record()) {

$aid = $db -> f("autor_id");

if($check_color) {
$color = $color_odd;
$check_color = false;
} else {
$color = $color_even;
$check_color = true;
}

               $db_b -> query("SELECT id, nickname FROM $table_user WHERE id = '$aid'");
               $db_b -> next_record();
 $autor_name = $db_b -> f("nickname");

                $titel = $db -> f("titel");
                $kategorie = $db -> f("kategorie");

                $tpl -> set_var(array(
                                      "news_kategorie" => "<a href=\"index.php?view=".$db -> f("id")."\">".$kategorie."</a>",
                                      "news_titel"     => $titel,
                                      "news_autor"     => $autor_name,
                                      "color_define"   => $color
                                      ));

                $tpl -> parse("list_news_handle", "list_news", true);

} //endwhile

require('header.php');
$tpl -> set_var(array(
"copyright"                        => $g_copyright,
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
"nickname"                         => $search_nickname,
"kategorie"                        => $search_kategorie,
"titel"                            => $search_titel,
"news_text"                        => $search_text
                                       ));

$tpl -> parse("output", array("list_results"));
$tpl -> p("output");
require('footer.php');
exit;
} elseif($search_nickname != "") { //endif

$tpl -> set_block("list_results", "list_news", "list_news_handle");

$db -> query("SELECT id, nickname FROM $table_user WHERE nickname LIKE '%$search_nickname%'");
$db -> next_record();
$uid = $db -> f("id");
$nick = $db -> f("nickname");

        $db -> free($db);

      if($search_titel != "") {
      $db -> query("SELECT id, titel, kategorie, text, more_text, autor_id FROM $table_news WHERE titel LIKE '%$search_titel%' AND WHERE autor_id = '$uid' ORDER BY ".$HTTP_POST_VARS['order_by']." ".$HTTP_POST_VARS['sort_by']."");
      } elseif($search_kategorie != "") {
      $db -> query("SELECT id, titel, kategorie, text, more_text, autor_id FROM $table_news WHERE kategorie LIKE '%$search_kategorie%' AND WHERE autor_id = '$uid' ORDER BY ".$HTTP_POST_VARS['order_by']." ".$HTTP_POST_VARS['sort_by']."");
      } elseif($search_text != "") {
      $db -> query("SELECT id, titel, kategorie, text, more_text, autor_id FROM $table_news WHERE text LIKE '%$search_titel%' OR more_text LIKE '%$search_text%' AND WHERE autor_id = '$uid' ORDER BY ".$HTTP_POST_VARS['order_by']." ".$HTTP_POST_VARS['sort_by']."");
      } else {
      $db -> query("SELECT id, titel, kategorie, text, more_text, autor_id FROM $table_news WHERE titel LIKE '%$search_titel%' AND kategorie LIKE '%$seach_kategorie%' AND text LIKE '%$seach_text%' AND more_text LIKE '%$seach_text%' AND autor_id = '$uid' ORDER BY ".$HTTP_POST_VARS['order_by']." ".$HTTP_POST_VARS['sort_by']."");
      }
while($db -> next_record()) {
if($check_color) {
$color = $color_odd;
$check_color = false;
} else {
$color = $color_even;
$check_color = true;
}

                $titel     = $db -> f("titel");
                $kategorie = $db -> f("kategorie");

$tpl -> set_var(array(
                                      "news_kategorie" => "<a href=\"index.php?view=".$db -> f("id")."\">".$kategorie."</a>",
                                      "news_titel"     => $titel,
                                      "news_autor"     => $nick,
                                      "color_define"   => $color
                                      ));

                $tpl -> parse("list_news_handle", "list_news", true);

} //endwhile

require('header.php');
$tpl -> set_var(array(
"copyright"                        => $g_copyright,
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
"nickname"                         => $search_nickname,
"kategorie"                        => $search_kategorie,
"titel"                            => $search_titel,
"news_text"                        => $search_text
                                       ));

$tpl -> parse("output", array("list_results"));
$tpl -> p("output");
require('footer.php');
exit;

}

break;
}
?>