<?php

####################################################
#                                                  #
#   Smart News                                     #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: comment.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################



//Konfiguration wurde schon in der session.inc.php vorgenommen
include("session.inc.php");


//Template laden
$tpl = new Template();

//Befehle...
$tpl -> set_unknowns("keep");


if(isset($HTTP_POST_VARS['action'])) {
$action = $HTTP_POST_VARS['action'];
} else {
$action = $HTTP_GET_VARS['action'];
}

switch($action) {
default:


if($sess_rank['edit_config'] == 0) {
$tpl -> set_file(array(
                       "error" => "templates/error.tpl.html "
                      ));

require("admin_header.php");
$tpl -> set_var(array(
                     "error_headline"    => $not_allowed,
                     "error_description" => $not_allowed_desc
                     ));

$tpl -> parse("output", array("error"));

$tpl -> p("output");
require("admin_footer.php");
exit;
}

$tpl -> set_file(array(
                       "config" => "templates/admin/admin.config.edit.tpl.html"
                       ));

$db -> query("SELECT * FROM $table_config");
$db -> next_record();

if($db -> f("use_komm_smilies") == 1) {
$use_komm_smilies_s_a = 'selected';
$use_komm_smilies_s_b = '';
} else {
$use_komm_smilies_s_a = '';
$use_komm_smilies_s_b = 'selected';
}
if($db ->f("use_komm_hrc") == 1) {
$use_komm_hrc_s_a     = 'selected';
$use_komm_hrc_s_b     = '';
} else {
$use_komm_hrc_s_a     = '';
$use_komm_hrc_s_b     = 'selected';
}
if($db-> f("use_index_login") == 1) {
$use_index_login_s_a  = 'selected';
$use_index_login_s_b  = '';
} else {
$use_index_login_s_a  = '';
$use_index_login_s_b  = 'selected';
}

if($db-> f("use_komm_standard_title") == 1) {
$use_komm_standard_title_s_a  = 'selected';
$use_komm_standard_title_s_b  = '';
} else {
$use_komm_standard_title_s_a  = '';
$use_komm_standard_title_s_b  = 'selected';
}

if($db-> f("send_mail_new") == 1) {
$send_mail_new_s_a  = 'selected';
$send_mail_new_s_b  = '';
} else {
$send_mail_new_s_a  = '';
$send_mail_new_s_b  = 'selected';
}


require("admin_header.php");
$tpl -> set_var(array(
                      "news_per_site"                        => $db -> f("news_per_site"),
                      "komms_per_site"                       => $db -> f("komms_per_site"),
                      "archiv_per_site"                      => $db -> f("archiv_per_site"),
                      "headlines_per_site"                   => $db -> f("headlines_per_site"),
                      "smilies_per_line"                     => $db -> f("smilies_per_line"),
                      "category_img_h"                       => $db -> f("category_img_h"),
                      "category_img_w"                       => $db -> f("category_img_w"),
                      "use_komm_smilies_s_a"                 => $use_komm_smilies_s_a,
                      "use_komm_smilies_s_b"                 => $use_komm_smilies_s_b,
                      "use_komm_hrc_s_a"                     => $use_komm_hrc_s_a,
                      "use_komm_hrc_s_b"                     => $use_komm_hrc_s_b,
                      "use_index_login_s_a"                  => $use_index_login_s_a,
                      "use_index_login_s_b"                  => $use_index_login_s_b,
                      "use_komm_standard_title_s_a"          => $use_komm_standard_title_s_a,
                      "use_komm_standard_title_s_b"          => $use_komm_standard_title_s_b,
                      "send_mail_new_s_a"                    => $send_mail_new_s_a,
                      "send_mail_new_s_b"                    => $send_mail_new_s_b,
                      "rsnews_url"                           => $db -> f("rsnews_url"),
                      "g_admin_email"                        => $db -> f("g_admin_email"),
                      "g_admin_name"                         => $db -> f("g_admin_name"),
                      "date_format"                          => $db -> f("date_format"),
                      "time_format"                          => $db -> f("time_format"),
                      "time_offset"                          => $db -> f("time_offset"),
                      "color_even"                           => $db -> f("color_even"),
                      "color_odd"                            => $db -> f("color_odd"),
                      "color_menu"                           => $db -> f("color_menu"),
                      "color_border"                         => $db -> f("color_border"),
                      "color_standard"                       => $db -> f("color_standard"),
                      "rsn_uin"                              => $rsn_uin,
                      "color_border"                         => $color_border,
                      "copyright"                            => $g_copyright
                      ));

$tpl -> parse("out", array("config"));
$tpl -> p("out");
require("admin_footer.php");


break;
case "update_now":

      if($sess_rank['edit_config'] == 0) {
      header("Location: admin_index.php?rsn_uin=$rsn_uin");
      exit;
      }

      $db -> query("UPDATE $table_config SET
                    news_per_site = '".$HTTP_POST_VARS['news_per_site']."',
                    komms_per_site = '".$HTTP_POST_VARS['komms_per_site']."',
                    archiv_per_site = '".$HTTP_POST_VARS['archiv_per_site']."',
                    headlines_per_site = '".$HTTP_POST_VARS['headlines_per_site']."',
                    smilies_per_line = '".$HTTP_POST_VARS['smilies_per_line']."',
                    category_img_h = '".$HTTP_POST_VARS['category_img_h']."',
                    category_img_w = '".$HTTP_POST_VARS['category_img_w']."',
                    use_komm_smilies = '".$HTTP_POST_VARS['use_komm_smilies']."',
                    use_komm_hrc = '".$HTTP_POST_VARS['use_komm_hrc']."',
                    use_index_login = '".$HTTP_POST_VARS['use_index_login']."',
                    use_komm_standard_title = '".$HTTP_POST_VARS['use_komm_standard_title']."',
                    send_mail_new = '".$HTTP_POST_VARS['send_mail_new']."',
                    rsnews_url = '".$HTTP_POST_VARS['rsnews_url']."',
                    g_admin_email = '".$HTTP_POST_VARS['g_admin_email']."',
                    g_admin_name = '".$HTTP_POST_VARS['g_admin_name']."',
                    date_format = '".$HTTP_POST_VARS['date_format']."',
                    time_format = '".$HTTP_POST_VARS['time_format']."',
                    time_offset = '".$HTTP_POST_VARS['time_offset']."',
                    color_even = '".$HTTP_POST_VARS['color_even']."',
                    color_odd = '".$HTTP_POST_VARS['color_odd']."',
                    color_menu = '".$HTTP_POST_VARS['color_menu']."',
                    color_border = '".$HTTP_POST_VARS['color_border']."',
                    color_standard = '".$HTTP_POST_VARS['color_standard']."'
                    ");

      header("Location: admin_config.php?rsn_uin=$rsn_uin");
      exit;

break;
}
?>