<?php

####################################################
#                                                  #
#   Smart News                                     #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: comment.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################



//Konfiguration wurde schon in der session.inc.php vorgenommen
include("session.inc.php");


//Template laden
$tpl = new Template();

//Befehle...
$tpl -> set_unknowns("keep");

//File setzen...
$tpl -> set_file(array(
                       "index" => "templates/admin/admin.index.tpl.html"
                       ));

//Queries

  //1: Kategorien
                 $db -> query("SELECT kategorie FROM $table_news GROUP BY kategorie");
    $num_kats  = $db -> num_rows($db);

  //2: News
                 $db -> query("SELECT count(*) AS total FROM $table_news");
                 $db -> next_record();
    $num_news  = $db -> f("total");
                 $db -> free($db);

  //3:Freigegebene
                 $db -> query("SELECT count(*) AS total FROM $table_news WHERE aktiviert = '1'");
                 $db -> next_record();
    $num_free  = $db -> f("total");
                 $db -> free($db);

  //Gesperrte (keine Query)
                 $num_lock = ($num_news-$num_free);

  //4: User
                 $db -> query("SELECT count(*) AS total FROM $table_user");
                 $db -> next_record();
    $num_user  = $db -> f("total");
                 $db -> free($db);

  //5: Rnge
                 $db -> query("SELECT count(*) AS total FROM $table_rank");
                 $db -> next_record();
    $num_ranks = $db -> f("total");
                 $db -> free($db);

  //6: Kommentare
                 $db -> query("SELECT count(*) AS total FROM $table_comm");
                 $db -> next_record();
    $num_komms = $db -> f("total");
                 $db -> free($db);

//Ende Queries



//bergabe an Templates

require("admin_header.php");
  $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                       "num_kats"         => $num_kats,
                       "num_news"         => $num_news,
                       "num_free_news"    => $num_free,
                       "num_locked_news"  => $num_lock,
                       "num_user"         => $num_user,
                       "num_ranks"        => $num_ranks,
                       "num_komms"        => $num_komms,
                       "nickname"         => $sess_user['nickname'],
                       "copyright"        => $g_copyright,
                       "rsn_uin"          => $rsn_uin
                       ));

  //Parsen
  $tpl -> parse("output", array("index"));

  //Ausgabe
  $tpl -> p("output");
require("admin_footer.php");