<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: admin_profil.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################



//Konfiguration wurde schon in der session.inc.php vorgenommen
include("session.inc.php");


//Template laden
$tpl = new Template();

//Befehle...
$tpl -> set_unknowns("keep");

if(isset($HTTP_POST_VARS['action'])) {
$action = $HTTP_POST_VARS['action'];
} else {
$action = $HTTP_GET_VARS['action'];
}

switch($action) {
case "edit":

//File setzen...
$tpl -> set_file(array(
                       "profil" => "templates/admin/admin.profil.tpl.html"
                       ));



//bergabe
require("admin_header.php");
$tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                      "copyright"            => $g_copyright,
                      "loginname"            => $sess_user['loginname'],
                      "nickname"             => $sess_user['nickname'],
                      "email"                => $sess_user['email'],
                      "rsn_uin"              => $rsn_uin
                      ));

//Parsen
$tpl -> parse("output", array("profil"));

//Ausgabe
$tpl -> p("output");
require("admin_footer.php");

break;
case "update_profil":

     require('function.inc.php');

     $input_nickname = ReplaceNotAllowed($HTTP_POST_VARS['nickname']);
     $input_password = ReplaceNotAllowed($HTTP_POST_VARS['password']);
     $input_pass_a   = ReplaceNotAllowed($HTTP_POST_VARS['pass_a']);
     $input_pass_b   = ReplaceNotAllowed($HTTP_POST_VARS['pass_b']);
     $input_email_a  = ReplaceNotAllowed($HTTP_POST_VARS['email_a']);
     $input_email_b  = ReplaceNotAllowed($HTTP_POST_VARS['email_b']);

     $crypted_password = md5($input_password);
     $crypted_pass_a   = md5($input_pass_a);
     $crypted_pass_b   = md5($input_pass_b);

     if($input_email_a == "" || $input_email_b == "" || $input_email_a != $input_email_b) {
     $tpl -> set_file(array(
                            "error" => "templates/error.tpl.html "
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "error_description"    => $invalid_email_desc,
                           "error_headline"       => $invalid_email
                           ));

     $tpl -> parse("output", array("error"));

     $tpl -> p("output");
     require("admin_footer.php");
     exit;
     } //endif

     if($input_password == "") {
     $tpl -> set_file(array(
                            "error" => "templates/error.tpl.html "
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "error_description"    => $invalid_pass_desc,
                           "error_headline"       => $invalid_pass
                           ));

     $tpl -> parse("output", array("error"));

     $tpl -> p("output");
     require("admin_footer.php");
     exit;
     } elseif($crypted_password != $sess_user['pwd']) { //endif
     $tpl -> set_file(array(
                            "error" => "templates/error.tpl.html "
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "error_description"    => $wrong_pass_desc,
                           "error_headline"       => $wrong_pass
                           ));

     $tpl -> parse("output", array("error"));

     $tpl -> p("output");
     require("admin_footer.php");
     exit;
     } //endif

     if($input_pass_a != "" && $input_pass_b != "" && $input_pass_a != $input_pass_b) {
     $tpl -> set_file(array(
                            "error" => "templates/error.tpl.html "
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "error_description"    => $incorrect_pass_desc,
                           "error_headline"       => $incorrect_pass
                           ));

     $tpl -> parse("output", array("error"));

     $tpl -> p("output");
     require("admin_footer.php");
     exit;
     } elseif($input_pass_a != "" && $input_pass_b != "" && $input_pass_a == $input_pass_b) { //endif
     $db -> query("UPDATE $table_user SET pwd = '$crypted_pass_a' WHERE rsn_uin = '$rsn_uin'");
     }

     if($input_nickname == "") {
     $tpl -> set_file(array(
                            "error" => "templates/error.tpl.html "
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "error_description"    => $invalid_nickname_desc,
                           "error_headline"       => $invalid_nickname
                           ));

     $tpl -> parse("output", array("error"));

     $tpl -> p("output");
     require("admin_footer.php");
     exit;
     } //endif

     $db -> query("UPDATE $table_user SET nickname = '$input_nickname', email = '$input_email_a' WHERE rsn_uin = '$rsn_uin'");

     header("Location: admin_index.php?rsn_uin=$rsn_uin");
     exit;

break;
case "delete":


     $tpl -> set_file(array(
                            "delete" => "templates/admin/admin.delete.tpl.html"
                            ));

/////// Die user aus der DB

//Blockanweisung
$tpl -> set_block("delete", "user", "user_handle");

$db -> query("SELECT id,nickname FROM $table_user ORDER BY nickname ASC");

while($db -> next_record()) {

       $db_users_id          = $db -> f("id");
       $db_users_nickname    = $db -> f("nickname");

       $tpl -> set_var(array(
                             "user_id"   => $db_users_id,
                             "user_nick" => $db_users_nickname
                             ));

       $tpl -> parse("user_handle", "user", true);
} //end while

$db -> free($db);



     require("admin_header.php");
     $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                           "copyright"            => $g_copyright,
                           "rsn_uin"              => $rsn_uin
                           ));

     $tpl -> parse("output", array("delete"));

     $tpl -> p("output");
     require("admin_footer.php");
break;
case "delnow":

      $input_password = $HTTP_POST_VARS['password'];
      $input_user_id  = $HTTP_POST_VARS['news_an'];

      $crypted_password = md5($input_password);

      if($crypted_password != $sess_user['pwd']) {
     $tpl -> set_file(array(
                            "error" => "templates/error.tpl.html "
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "error_description"    => $wrong_password_desc,
                           "error_headline"       => $wrong_password
                           ));

     $tpl -> parse("output", array("error"));

     $tpl -> p("output");
     require("admin_footer.php");
     exit;
      } //endif

      if($input_user_id == $sess_user['id']) {
     $tpl -> set_file(array(
                            "error" => "templates/error.tpl.html "
                            ));

     require("admin_header.php");
     $tpl -> set_var(array(
                           "error_description"    => $same_user_desc,
                           "error_headline"       => $same_user
                           ));

     $tpl -> parse("output", array("error"));

     $tpl -> p("output");
     require("admin_footer.php");
     exit;
     } //endif

     $db -> free($db);

     $db -> query("UPDATE $table_news SET autor_id = '$input_user_id' WHERE autor_id = '".$sess_user['id']."'");
     $db -> query("DELETE FROM $table_user WHERE id = '".$sess_user['id']."'");
     require("email.php");
     mail($sess_user['email'], $b_delete_account, $delete_account, "From: $g_admin_name<$g_admin_email>");
     header("Location: index.php"); //EXITUS

break;
case "view_rank":

      $tpl -> set_file(array(
                             "view_rank" => "templates/admin/admin.profil.view.tpl.html"
                             ));

      if($sess_rank['use_html'] == 1) {
      $use_html = $yes;
      } else {
      $use_html = $no;
      }

      if($sess_rank['use_smilies'] == 1) {
      $use_smilies = $yes;
      } else {
      $use_smilies = $no;
      }

      if($sess_rank['edit_user'] == 1) {
      $edit_user = $yes;
      } else {
      $edit_user = $no;
      }

      if($sess_rank['access_admin'] == 1) {
      $access_admin = $yes;
      } else {
      $access_admin = $no;
      }

      if($sess_rank['edit_news'] == 1) {
      $edit_news = $yes;
      } else {
      $edit_news = $no;
      }

      if($sess_rank['edit_komms'] == 1) {
      $edit_kommentare = $yes;
      } else {
      $edit_kommentare = $no;
      }

      if($sess_rank['post_news'] == 1) {
      $post_news = $yes;
      } else {
      $post_news = $no;
      }

      if($sess_rank['edit_kat_img'] == 1) {
      $edit_kats = $yes;
      } else {
      $edit_kats = $no;
      }

      if($sess_rank['create_cats'] == 1) {
      $create_cats = $yes;
      } else {
      $create_cats = $no;
      }

      if($sess_rank['edit_smilies'] == 1) {
      $edit_smilies = $yes;
      } else {
      $edit_smilies = $no;
      }

      if($sess_rank['edit_config'] == 1) {
      $edit_config = $yes;
      } else {
      $edit_config = $no;
      }

      //Die Ansicht des eigenen Rangs hat einen Default Header, um zu verhindern,
      //das Navigationen oder hnliches eingebunden werden.
      //require("admin_header.php");
      $tpl -> set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
                            "use_html"                    => $use_html,
                            "use_smilies"                 => $use_smilies,
                            "edit_user"                   => $edit_user,
                            "access_admin"                => $access_admin,
                            "edit_news"                   => $edit_news,
                            "edit_kommentare"             => $edit_kommentare,
                            "post_news"                   => $post_news,
                            "edit_kats"                   => $edit_kats,
                            "create_cats"                 => $create_cats,
                            "edit_smilies"                => $edit_smilies,
                            "edit_config"                 => $edit_config
                            ));

      $tpl -> parse("output", array("view_rank"));
      $tpl -> p("output");
      //require("admin_footer.php");

break;
} //endswitch

?>