<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: admin_smilies.php
//   Autor: Christoph Eschweiler
//   Beginn: 27.10.2001


#####################################################
#####################################################



//Konfiguration wurde schon in der session.inc.php vorgenommen
include("session.inc.php");


//Template laden
$tpl = new Template();
$db_b = new DB_Sql();

//Befehle...
$tpl -> set_unknowns("keep");


if(isset($HTTP_POST_VARS['action'])) {
$action = $HTTP_POST_VARS['action'];
} else {
$action = $HTTP_GET_VARS['action'];
}

switch($action) {
default:

        $tpl -> set_file(array(
                               "smilies"   => "templates/admin/admin.smilies.list.tpl.html"
                               ));

        $tpl -> set_block("smilies", "installed_smilies", "i_s_p");
        $tpl -> set_block("smilies", "list_smilies", "l_s_p");


        $db -> query("SELECT * FROM $table_smilies ORDER BY id ASC");
        while($db -> next_record()) {

        $code                        = $db -> f("code");
        $bedeutung                   = $db -> f("bedeutung");
        $url                         = $db -> f("url");
        $image                       = "<img border=\"0\" alt=\"$bedeutung\" src=\"$url\">";

if($check_color) {
$color = 'odd';
$check_color = false;
} else {
$color = 'even';
$check_color = true;
}

        $tpl -> set_var(array(
                              "s_img"        => $image,
                              "s_bedeutung"  => $bedeutung,
                              "s_code"       => $code,
                              "s_url"        => $url,
                              "define"       => $color
                              ));

        $tpl -> parse("i_s_p", "installed_smilies", true);

        } //endwhile

        $handle=opendir ('./images/smilies');  //Smiley Ordner ffnen...
        while (false !== ($file = readdir ($handle))) { //Smilies auslesen...
         if($file != "." && $file != "..") { //. und .. aussortieren!

          $b_smiley = basename($file);

          $db -> query("SELECT count(*) AS total FROM $table_smilies WHERE url LIKE '%$b_smiley%'");
          $db -> next_record();
          $s_status = $db -> f("total");


          if($sess_rank['edit_smilies'] == 1) {
          $folder = "<a href=\"admin_smilies.php?action=setup&smiley=$file&rsn_uin=$rsn_uin\">$b_smiley</a>";
          } else {
          $folder = "$b_smiley";
          }

          if($s_status == 0) {
          $status = $no;
          } else {
          $status = $yes;
          }

if($check_color) {
$color = 'odd';
$check_color = false;
} else {
$color = 'even';
$check_color = true;
}

          $tpl -> set_var(array(
                                "s_folder"         => $folder,
                                "s_show"           => "<img src=\"./images/smilies/$file\" alt=\"\" border=\"0\">",
                                "s_status"         => $status,
                                "define"           => $color
                                ));

          $tpl -> parse("l_s_p", "list_smilies", true);
         } //endif
        } //endwhile
        closedir($handle);

        require("admin_header.php");
        $tpl -> set_var(array(
                            "color_border" => $color_border,
                            "rsn_uin"      => $rsn_uin,
                            "copyright"    => $g_copyright
                            ));

        $tpl -> parse("out", array("smilies"));
        $tpl -> p("out");
        require("admin_footer.php");

break;
case "setup":

      if($sess_rank['edit_smilies'] != 1 || !isset($smiley) || $smiley == "") {
      header("Location: admin_smilies.php?rsn_uin=$rsn_uin");
      exit;
      }

      $db -> query("SELECT count(*) AS total FROM $table_smilies WHERE url LIKE '%$smiley%'");
      $db -> next_record();
      $status = $db -> f("total");

      if($status == 0) {

       require("admin_header.php");
       $tpl -> set_file(array(
                              "add" => "templates/admin/admin.smilies.add.tpl.html"
                              ));

       $tpl -> set_var(array(
                             "color_border" => $color_border,
                             "copyright"    => $g_copyright,
                             "rsn_uin"      => $rsn_uin,
                             "vor_url"      => "./images/smilies/$smiley"
                             ));

       $tpl -> parse("out", array("add"));
       $tpl -> p("out");
       require("admin_footer.php");

       } else {

       $db -> query("DELETE FROM $table_smilies WHERE url LIKE '%$smiley%'");
       header("Location: admin_smilies.php?rsn_uin=$rsn_uin");
       exit;

       }

break;
case "add_now":

      if($sess_rank['edit_smilies'] != 1) {
      header("Location: admin_smilies.php?rsn_uin=$rsn_uin");
      exit;
      }

      require('function.inc.php');

      $input_code           = $HTTP_POST_VARS['s_code'];
      $input_bedeutung      = ReplaceNotAllowed($HTTP_POST_VARS['s_bedeutung']);
      $input_url            = $HTTP_POST_VARS['s_url'];

      if($input_code == "" || $input_bedeutung == "" || $input_url == "") {
      $tpl -> set_file(array(
                             "error" => "templates/error.tpl.html "
                             ));

      require("admin_header.php");
      $tpl -> set_var(array(
                            "error_headline"    => $complete_all,
                            "error_description" => $complete_all_desc
                            ));

      $tpl -> parse("output", array("error"));

      $tpl -> p("output");
      require("admin_footer.php");
      exit;
      }

      $db -> query("INSERT INTO $table_smilies VALUES ('', '$input_code', '$input_bedeutung', '$input_url')");
      header("Location: admin_smilies.php?rsn_uin=$rsn_uin");
      exit;

break;
}
?>