<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: archiv.php
//   Autor: Christoph Eschweiler
//   Beginn: 14.07.2001


#####################################################
#####################################################


//Objekte laden

require('config.inc.php');                           //Konfigurationsdatei
include('template.inc');                             // Template Klasse laden
//include("db_mysql.php");                           // Datenbank Abstraktions Modul laden
include('function.inc.php');                         // Funktionsbibliothek laden


//Initialisierung

$tpl = new Template();
$db  = new DB_Sql();
$db_b = new DB_Sql(); //Fr Kommentare

//Befehle an die Klasse

$tpl->set_unknowns("keep");


$tpl -> set_file(array("list" => "templates/archiv.tpl.html"));
$tpl -> set_block("list", "kats", "kats_handle");
$tpl -> set_block("list", "seiten", "seiten_handle");
$tpl -> set_block("list", "news", "news_handle");

//Kats => Kategorien

$db -> query("SELECT kategorie FROM $table_news GROUP BY kategorie ORDER BY kategorie ASC");
while($db -> next_record()) {

$tpl -> set_var(array(
                      "kat_name" => $db -> f("kategorie")
                      ));

$tpl -> parse("kats_handle", "kats", true);
} //enwhile
$db -> free($db);



//Archiv Seiten errechnen

$db -> query("SELECT count(*) AS total FROM $table_news WHERE aktiviert = '1'");
              $db -> next_record();
$total_news = $db -> f("total");



if(!isset($page) || $page == "") {
$k_page = 1;
} else {
$k_page = $page;
}

$page = 1;
$run  = 1;

$pages_all_pre  = ($total_news / $archiv_per_site);
if(ereg("\.", $pages_all_pre)) {
 $dezimal       = strstr($pages_all_pre, ".");
 $dezimal       = "0".$dezimal."";
 $rest          = (1 - $dezimal);
 $pages_all     = ($pages_all_pre + $rest);
} else {
$pages_all = $pages_all_pre;
}

while((($page - 1) * $archiv_per_site) < $total_news) {

         $set_page = $page;

         if($k_page == 1 && $run == 1) {
          $arrow_l = "<a href=\"archiv.php?page=1\">&lt;</a> &nbsp;";
         } elseif($k_page != 1 && (($k_page - 1) > 0) && $run == 1) {
          $arrow_l = "<a href=\"archiv.php?page=".($k_page - 1)."\">&lt;</a> &nbsp;";
         } else {
          $arrow_l = "";
         }

         if(($k_page + 1) <= $pages_all && $run == $pages_all) {
          $arrow_r = "&nbsp;<a href=\"archiv.php?page=".($k_page + 1)."\">&gt;</a>&nbsp;";
         } elseif($k_page == $pages_all && $run == $pages_all) {
          $arrow_r = "&nbsp;<a href=\"archiv.php?page=$k_page\">&gt;</a>&nbsp;";
         } else {
          $arrow_r = "";
         }

         if($run == $pages_all) {
          $darrow_r = " <a href=\"archiv.php?page=$pages_all\">&gt;&gt;</a>";
         }

         if($page == $k_page) {
          $page_number = "$arrow_l<b>$set_page</b> ".$arrow_r."".$darrow_r."";
         } else {
          $page_number = "$arrow_l<a href=\"archiv.php?page=$set_page\">$set_page</a> ".$arrow_r."".$darrow_r."";
         }

$tpl -> set_var(array(
                      "pages" => $page_number
                      ));

$tpl -> parse("seiten_handle", "seiten", true);

        $page++;
        $run++;
}

$sql_start = (($k_page - 1) * $archiv_per_site);




//News => News Auflistung
if(!isset($HTTP_POST_VARS['use_kat']) || $HTTP_POST_VARS['use_kat'] == '#') {

$db -> query("SELECT id, titel, kategorie, autor_id, datum FROM $table_news WHERE aktiviert = '1' ORDER BY datum DESC LIMIT $sql_start, $archiv_per_site");

} else {

$db -> query("SELECT id, titel, kategorie, autor_id, datum FROM $table_news WHERE kategorie = '".$HTTP_POST_VARS['use_kat']."' AND aktiviert = '1' ORDER BY datum DESC LIMIT $sql_start, $archiv_per_site");

}

while($db -> next_record()) {

$autor_id                    = $db -> f("autor_id");

$db_b -> query("SELECT id, nickname FROM $table_user WHERE id = '$autor_id'");
$db_b -> next_record();


$kategorie                   = stripslashes($db  -> f("kategorie"));
$titel                       = stripslashes($db  -> f("titel"));
$id                          = $db  -> f("id");
$autor                       = stripslashes($db_b -> f("nickname"));
$datum                       = calc_date($db  -> f("datum"));


if($check_color) {
 $color = $color_odd;
 $check_color = false;
} else {
 $color = $color_even;
 $check_color = true;
}

$tpl -> set_var(array(
                "color_define"                  => $color,
                "datum"                         => $datum,
                "headline"                      => "<a href=\"$rsnews_url/index.php?view=".$id."\">".$kategorie." &rArr; ".$titel."</a>",
                "autor"                         => $autor
                ));

$tpl -> parse("news_handle", "news", true);

}//endwhile


require('header.php');
$tpl -> set_var(array(
                "copyright"                        => $g_copyright,
                "color_border"                     => $color_border,
                "color_even"                       => $color_even,
                "color_odd"                        => $color_odd,
                "color_standard"                   => $color_standard,
                "color_menu"                       => $color_menu
               ));

$tpl -> parse("output", array("list"));

$tpl -> p("output");
require('footer.php');

?>