<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: index.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################


//Objekte laden

require('config.inc.php');                           //Konfigurationsdatei
include('function.inc.php');
include('template.inc');                             // Template Klasse laden
//include("db_mysql.php");                             // Datenbank Abstraktions Modul laden


//Initialisierung

$tpl = new Template();
$db  = new DB_Sql();
$db_a = new DB_Sql(); //Fr Autor
$db_b = new DB_Sql(); //Fr Kommentare


//Befehle an die Klasse

$tpl->set_unknowns("keep");


//Zuordnung der Elemente

$tpl->set_file(array(
               "index"     => "templates/index.tpl.html"
               ));


if(!isset($HTTP_GET_VARS['view'])) {

//Blockanweisung initialisieren


$tpl->set_block("index", "kat_kat", "kategorie_handle");
$tpl->set_block("index", "news_text", "news_text_handle");


//Datenbank Query fr die Kategorien

$db->query("SELECT id,kategorie FROM $table_news GROUP BY kategorie ");


//While Schleife

while($db->next_Record()) {
$tpl ->set_var(array(
               "kategorie_name"=> $db->f("kategorie"),
               "kategorie_id"  => $db->f("id")
               ));
$tpl->parse("kategorie_handle", "kat_kat", true);
}


//Freimachen von $db fr nchste while Schleife

$db->free($db);







//Datenbank Query fr die News

if($kat_id == "#" || !isset($kat_id)) {
$db->query("SELECT id, titel, kategorie, kat_img, text, more_text, autor_id, auto_br, smilies, html, datum, quelle_url, quelle_titel FROM $table_news  WHERE aktiviert='1' ORDER BY datum DESC LIMIT 0,$news_per_site");
} else {
$db->query("SELECT id, titel, kategorie, kat_img, text, more_text, autor_id, auto_br, smilies, html, datum, quelle_url, quelle_titel FROM $table_news  WHERE aktiviert='1' AND kategorie = '$kat_id' ORDER BY datum DESC LIMIT 0,$news_per_site");
}

if($db -> num_rows($db) == 0) {

$tpl->set_var(array(
                     "color_define"          => $color_even,
                     "news_kategorie"        => '&nbsp;',
                     "news_kat_img"          => '',
                     "news_titel"            => '&nbsp;',
                     "news_meldung"          => 'Keine News gepostet',
                     "news_autor"            => '&nbsp;',
                     "news_datum"            => '&nbsp;',
                     "icon_email"            => '&nbsp;',
                     "icon_print"            => '&nbsp;',
                     "icon_kommentieren"     => '&nbsp;',
                     "kommentare"            => '&nbsp;',
                     "source"                => '&nbsp;',
                     "more"                  => '&nbsp;'
                     ));
       $tpl->parse("news_text_handle", "news_text", true);
} else {


//While Schleife

while($db->next_Record()) {
       $news_id      = $db->f("id");
       $auto_br      = $db->f("auto_br");
       $smilies      = $db->f("smilies");
       $html         = $db->f("html");
       $news_text    = $db->f("text");
       $more_text    = $db->f("more_text");
       $autor_id     = $db->f("autor_id");
       $quelle_url   = $db->f("quelle_url");
       $quelle_titel = stripslashes($db->f("quelle_titel"));
       $kat_img      = $db->f("kat_img");
       $datum        = $db->f("datum");

       //Datum verarbeiten
       $datum = calc_date($datum);

       //Autornamen auslesen
       $db_a->query("SELECT * FROM $table_user WHERE id='$autor_id'");
       $db_a->next_Record();
       $autor_name = $db_a->f("nickname");
       $autor_email= $db_a->f("email");
       $autor_rank = $db_a->f("rang_id");
       $db_a ->free($db_a);

       //HTML & Smilies
       $db_a -> query("SELECT id, name, use_html, use_smilies FROM $table_rank WHERE id = '$autor_rank'");
       $db_a -> next_record();
       $use_html    = $db_a -> f("use_html");
       $use_smilies = $db_a -> f("use_smilies");
       $autor_rank  = $db_a -> f("name");

       //Kommentare zhlen
       $db_b->query("SELECT count(*) AS total FROM $table_comm WHERE news_id='$news_id'");
       $db_b->next_Record();
       $kommentare = $db_b->f("total");


       //Optionen ausfhren
       if($auto_br == 0) {
       $news_text = NO_AUTOBR($news_text);
       }

       if($use_html != 1) {
       $news_text = FormatOutput_ForHRC($news_text);
       $news_text = ReplaceHRC($news_text);
       } elseif($html != 1) {
       $news_text = FormatOutput_ForHRC($news_text);
       $news_text = ReplaceHRC($news_text);
       } else {
       $news_text = FormatOutput_ForHTML($news_text);
       }

       if($use_smilies == 1 && $smilies == 1) {
       $news_text = SetSmilies($news_text);
       }

       $source_link = get_link($quelle_url, $quelle_titel);

       if($more_text != "") {
       $more_link = "<a href=\"more.php?news_id=$news_id\">$more</a>";
       } else {
       $more_link = "&nbsp;";
       }

       if($kat_img != "") {
       $imgsize = getimagesize($kat_img);
       if($imgsize['0'] > $category_img_w && $imgsize['1'] > $category_img_h) {
       $cat_img = "<img src=\"$kat_img\" border=\"0\" alt=\"".$db->f("kategorie")."\" width=\"$category_img_w\" height=\"$category_img_h\">&nbsp;";
       } elseif($imgsize['0'] > $category_img_w && $imgsize['1'] < $category_img_h) {
       $cat_img = "<img src=\"$kat_img\" border=\"0\" alt=\"".$db->f("kategorie")."\" width=\"$category_img_w\">&nbsp;";
       } elseif($imgsize['0'] < $category_img_w && $imgsize['1'] > $category_img_h) {
       $cat_img = "<img src=\"$kat_img\" border=\"0\" alt=\"".$db->f("kategorie")."\" height=\"$category_img_h\">&nbsp;";
       } else {
       $cat_img = "<img src=\"$kat_img\" border=\"0\" alt=\"".$db->f("kategorie")."\">&nbsp;";
       }
       } else {
       $cat_img = "";
       }


if($check_color) {
$color = $color_odd;
$check_color = false;
} else {
$color = $color_even;
$check_color = true;
}


       $tpl->set_var(array(
                     "color_define"          => $color,
                     "news_kat_img"          => $cat_img,
                     "news_kategorie"        => stripslashes($db->f("kategorie")),
                     "news_titel"            => stripslashes($db->f("titel")),
                     "news_meldung"          => $news_text,
                     "news_autor"            => "<a href=\"mailto:$autor_email\">$autor_name</a>",
                     "autor_rank"            => $autor_rank,
                     "news_datum"            => $datum,
                     "icon_email"            => '',//"<a href=\"friend.php?news_id=$news_id\"><img border=\"0\" src=\"images/$img_mailtofriend\" alt=\"$alt_mailtofriend\"></a>",
                     "icon_print"            => "<a href=\"index.php?view=$news_id&amp;print=1\" target=\"_blank\"><img border=\"0\" src=\"images/$img_print\" alt=\"$alt_print\"></a>",
                     "icon_kommentieren"     => "<a href=\"comment.php?id=$news_id\"><img border=\"0\" src=\"images/$img_comment\" alt=\"$alt_comment\"></a>",
                     "kommentare"            => "<a href=\"comment.php?action=show&amp;news_id=$news_id\">$kommentare Kommentare</a>",
                     "source"                => $source_link,
                     "more"                  => $more_link
                     ));
       $tpl->parse("news_text_handle", "news_text", true);
}
} //endif num_rows = 0
//Prfung ob Login sichtbar sein soll

if($use_index_login == true) {
$login_link = " - <a href=\"login.php\">$login_link_text</a>";
} else {
$login_link = "&nbsp;";
}

//Zuordnung der Platzhalter (Variablen)

require('header.php');
$tpl->set_var(array(
"color_border"                     => $color_border,
"color_even"                       => $color_even,
"color_odd"                        => $color_odd,
"color_standard"                   => $color_standard,
"color_menu"                       => $color_menu,
"copyright"                        => $g_copyright,
"login"                            => $login_link
              ));


//Parsen

$tpl->parse("output", array("index"));


//Abgabe der Werte an die Platzhalter

$tpl->p("output");
require('footer.php');















########################################################################
#
#
# Falls $view gesetzt ist und Print auch
#
#
########################################################################














} else { //endif view

if($HTTP_GET_VARS['print'] == 1):

$tpl->set_block("index", "kat_kat", "kategorie_handle");


$db->query("SELECT id,kategorie FROM $table_news GROUP BY kategorie ");

while($db->next_Record()) {
$tpl ->set_var(array(
               "kategorie_name"=> $db->f("kategorie"),
               "kategorie_id"  => $db->f("id")
               ));
$tpl->parse("kategorie_handle", "kat_kat", true);
}


//Freimachen von $db fr nchste while Schleife

$db->free($db);


$db->query("SELECT id, titel, kategorie, text, more_text, autor_id, auto_br, smilies, html, datum, quelle_url, quelle_titel FROM $table_news  WHERE aktiviert='1' AND id = '$view'");
$db->next_record();

$news_id      = $db->f("id");
       $news_title   = $db->f('titel');
       $news_kategorie = $db->f("kategorie");
       $auto_br      = $db->f("auto_br");
       $smilies      = $db->f("smilies");
       $html         = $db->f("html");
       $news_text    = $db->f("text");
       $more_text    = $db->f("more_text");
       $autor_id     = $db->f("autor_id");
       $quelle_url   = $db->f("quelle_url");
       $quelle_titel = stripslashes($db->f("quelle_titel"));

       //Autornamen auslesen
       $db_a->query("SELECT * FROM $table_user WHERE id='$autor_id'");
       $db_a->next_Record();
       $autor_name = $db_a->f("nickname");
       $autor_email= $db_a->f("email");
       $autor_rank = $db_a->f("rang_id");
       $db_a ->free($db_a);

       //HTML & Smilies
       $db_a -> query("SELECT id, name, use_html, use_smilies FROM $table_rank WHERE id = '$autor_rank'");
       $db_a -> next_record();
       $use_html    = $db_a -> f("use_html");
       $use_smilies = $db_a -> f("use_smilies");
       $autor_rank  = $db_a -> f("name");

       //Kommentare zhlen
       $db_b->query("SELECT count(*) AS total FROM $table_comm WHERE news_id='$news_id'");
       $db_b->next_Record();
       $kommentare = $db_b->f("total");


       //Optionen ausfhren
       if($auto_br == 0) {
       $news_text = No_AUTOBR($news_text);
       }

       if($use_html != 1) {
       $news_text = FormatOutput_ForHRC($news_text);
       $news_text = ReplaceHRC($news_text);
       } elseif($html != 1) {
       $news_text = FormatOutput_ForHRC($news_text);
       $news_text = ReplaceHRC($news_text);
       } else {
       $news_text = FormatOutput_ForHTML($news_text);
       }



       if($use_html != 1) {
       $news_title = FormatOutput_ForHRC($news_title);
       $news_title = ReplaceHRC($news_title);
       } elseif($html != 1) {
       $news_title = FormatOutput_ForHRC($news_title);
       $news_title = ReplaceHRC($news_title);
       } else {
       $news_title = FormatOutput_ForHTML($news_title);
       }

       if($use_html != 1) {
       $news_kategorie = FormatOutput_ForHRC($news_kategorie);
       $news_kategorie = ReplaceHRC($news_kategorie);
       } elseif($html != 1) {
       $news_kategorie = FormatOutput_ForHRC($news_kategorie);
       $news_kategorie = ReplaceHRC($news_kategorie);
       } else {
       $news_kategorie = FormatOutput_ForHTML($news_kategorie);
       }

       if($use_smilies == 1 && $smilies == 1) {
       $news_text = SetSmilies($news_text);
       }

       $source_link = get_link($quelle_url, $quelle_titel);

       if($more_text != "") {
       $more_link = "<a href=\"more.php?news_id=$news_id\">$more</a>";
       } else {
       $more_link = "&nbsp;";
       }




if($use_index_login == true) {
$login_link = " - <a href=\"login.php\">$login_link_text</a>";
} else {
$login_link = "&nbsp;";
}

//Zuordnung der Platzhalter (Variablen)

$tpl->set_var(array(
"color_define"                          => '#FFFFFF',
"news_kategorie"                        => $news_kategorie,
"news_kat_img"                          => "&nbsp;",
"news_titel"                            => $news_title,
"news_meldung"                          => $news_text,
"autor_rank"                            => $autor_rank,
"news_autor"                            => "<a href=\"mailto:$autor_email\">$autor_name</a>",
"news_datum"                            => calc_date($db->f("datum")),
"icon_email"                            => "&nbsp;",
"icon_print"                            => "&nbsp;",
"icon_kommentieren"                     => "&nbsp;",
"kommentare"                            => "<a href=\"comment.php?action=show&amp;news_id=$view\">$kommentare Kommentare</a>",
"source"                                => $source_link,
"more"                                  => $more_link,
"color_border"                          => $color_border,
"color_even"                            => $color_even,
"color_odd"                             => $color_odd,
"color_standard"                        => '#FFFFFF',
"color_menu"                            => $color_menu,
"copyright"                             => $g_copyright,
"login"                                 => $login_link
));

$tpl->parse("output", array("index"));


//Abgabe der Werte an die Platzhalter

$tpl->p("output");









########################################################################
#
#
# Falls $view gesetzt ist und Print nicht
#
#
########################################################################










else:

$tpl->set_block("index", "kat_kat", "kategorie_handle");


$db->query("SELECT id,kategorie FROM $table_news GROUP BY kategorie ");

while($db->next_Record()) {
$tpl ->set_var(array(
               "kategorie_name"=> $db->f("kategorie"),
               "kategorie_id"  => $db->f("id")
               ));
$tpl->parse("kategorie_handle", "kat_kat", true);
}


//Freimachen von $db fr nchste while Schleife

$db->free($db);


$db->query("SELECT id, titel, kategorie, kat_img, text, more_text, autor_id, auto_br, smilies, html, datum, quelle_url, quelle_titel FROM $table_news  WHERE aktiviert='1' AND id = '$view'");
$db->next_record();

$news_id      = $db->f("id");
       $auto_br      = $db->f("auto_br");
       $smilies      = $db->f("smilies");
       $html         = $db->f("html");
       $news_text    = $db->f("text");
       $more_text    = $db->f("more_text");
       $autor_id     = $db->f("autor_id");
       $quelle_url   = $db->f("quelle_url");
       $quelle_titel = stripslashes($db->f("quelle_titel"));
       $kat_img      = $db->f("kat_img");

       //Autornamen auslesen
       $db_a->query("SELECT * FROM $table_user WHERE id='$autor_id'");
       $db_a->next_Record();
       $autor_name = $db_a->f("nickname");
       $autor_email= $db_a->f("email");
       $autor_rank = $db_a->f("rang_id");
       $db_a ->free($db_a);

       //HTML & Smilies
       $db_a -> query("SELECT id, name, use_html, use_smilies FROM $table_rank WHERE id = '$autor_rank'");
       $db_a -> next_record();
       $use_html    = $db_a -> f("use_html");
       $use_smilies = $db_a -> f("use_smilies");
       $autor_rank  = $db_a -> f("name");

       //Kommentare zhlen
       $db_b->query("SELECT count(*) AS total FROM $table_comm WHERE news_id='$news_id'");
       $db_b->next_Record();
       $kommentare = $db_b->f("total");


       //Optionen ausfhren
       if($auto_br == 0) {
       $news_text = No_AUTOBR($news_text);
       }

       if($use_html != 1) {
       $news_text = FormatOutput_ForHRC($news_text);
       $news_text = ReplaceHRC($news_text);
       } elseif($html != 1) {
       $news_text = FormatOutput_ForHRC($news_text);
       $news_text = ReplaceHRC($news_text);
       } else {
       $news_text = FormatOutput_ForHTML($news_text);
       }

       if($use_smilies == 1 && $smilies == 1) {
       $news_text = SetSmilies($news_text);
       }



       $source_link = get_link($quelle_url, $quelle_titel);

       if($more_text != "") {
       $more_link = "<a href=\"more.php?news_id=$news_id\">$more</a>";
       } else {
       $more_link = "&nbsp;";
       }

       if($kat_img != "") {
       $imgsize = getimagesize($kat_img);
       if($imgsize['0'] > $category_img_w && $imgsize['1'] > $category_img_h) {
       $cat_img = "<img src=\"$kat_img\" border=\"0\" alt=\"".$db->f("kategorie")."\" width=\"$category_img_w\" height=\"$category_img_h\">&nbsp;";
       } elseif($imgsize['0'] > $category_img_w && $imgsize['1'] < $category_img_h) {
       $cat_img = "<img src=\"$kat_img\" border=\"0\" alt=\"".$db->f("kategorie")."\" width=\"$category_img_w\">&nbsp;";
       } elseif($imgsize['0'] < $category_img_w && $imgsize['1'] > $category_img_h) {
       $cat_img = "<img src=\"$kat_img\" border=\"0\" alt=\"".$db->f("kategorie")."\" height=\"$category_img_h\">&nbsp;";
       } else {
       $cat_img = "<img src=\"$kat_img\" border=\"0\" alt=\"".$db->f("kategorie")."\">&nbsp;";
       }
       } else {
       $cat_img = "";
       }




if($use_index_login == true) {
$login_link = " - <a href=\"login.php\">$login_link_text</a>";
} else {
$login_link = "&nbsp;";
}

//Zuordnung der Platzhalter (Variablen)

require('header.php');
$tpl->set_var(array(
"color_define"                          => $color_even,
"news_kategorie"                        => stripslashes($db->f("kategorie")),
"news_kat_img"                          => $cat_img,
"news_titel"                            => stripslashes($db->f("titel")),
"news_meldung"                          => $news_text,
"autor_rank"                            => $autor_rank,
"news_autor"                            => "<a href=\"mailto:$autor_email\">$autor_name</a>",
"news_datum"                            => calc_date($db->f("datum")),
"icon_email"                            => '',//"<a href=\"friend.php?news_id=$news_id\"><img border=\"0\" src=\"images/$img_mailtofriend\" alt=\"$alt_mailtofriend\"></a>",
"icon_print"                            => "<a href=\"index.php?view=$news_id&amp;print=1\" target=\"_blank\"><img border=\"0\" src=\"images/$img_print\" alt=\"$alt_print\"></a>",
"icon_kommentieren"                     => "<a href=\"comment.php?id=$news_id\"><img border=\"0\" src=\"images/$img_comment\" alt=\"$alt_comment\"></a>",
"kommentare"                            => "<a href=\"comment.php?action=show&amp;news_id=$view\">$kommentare Kommentare</a>",
"source"                                => $source_link,
"more"                                  => $more_link,
"color_border"                          => $color_border,
"color_even"                            => $color_even,
"color_odd"                             => $color_odd,
"color_standard"                        => $color_standard,
"color_menu"                            => $color_menu,
"copyright"                             => $g_copyright,
"login"                                 => $login_link
));

$tpl->parse("output", array("index"));


//Abgabe der Werte an die Platzhalter

$tpl->p("output");
require('footer.php');

endif;


}



?>