<?php

####################################################
#                                                  #
#   rsNews 2.10                                    #
#   Autor: Christoph Eschweiler aka rainbow_six    #
#   Email: webmaster@php-scripte.com               #
#   HP: http://www.php-scripte.com                 #
#                                                  #
####################################################

####################################################
#
#
#   Fr die Lizenzbestimmungen bitte auf www. php-scripte.com oder in der beiliegenden HTML Datei schauen!
#   For license details see http://www.php-scripte.com or read the included .html file!
#
#
#####################################################

//   Dateiname: session.inc.php
//   Autor: Christoph Eschweiler
//   Beginn: 02.06.2001


#####################################################
#####################################################




/*##############################################################################
################################################################################
################################################################################
################################################################################
################################################################################

DIESE DATEI IST FR DIE SICHERUNG DES ADMINBEREICHS ZUSTNDIG.
NDERUNGEN AUF EIGENE GEFAHR - FR FRAGEN BITTE AN DAS SUPPORT TEAM UNTER

www.php-scripte.com

WENDEN!

################################################################################
################################################################################
################################################################################
################################################################################
##############################################################################*/










































//Objekte laden

require('config.inc.php');                           //Konfigurationsdatei
include('template.inc');                             // Template Klasse laden
//include("db_mysql.php");                             // Datenbank Abstraktions Modul laden


//Initialisierung

$db = new DB_Sql();



//Prfung der rsn_uin

if(!isset($rsn_uin)) {
//Falls keine UIN vorhanden ist, zurck zum Login
//User muss nicht auf fehlende UIN hingewiesen werden!
header('Location: login.php?action=login');
exit;
}


//Prfung der UIN auf Gltigkeit
$db -> query("SELECT count(*) AS total FROM $table_user WHERE rsn_uin = '$rsn_uin'");
$db -> next_record();
$check_uin = $db -> f("total");

if($check_uin != 1) {
setcookie("rsn_uin", "01", (time()-7200));
header('Location: login.php?action=login');
exit;
}



//Wer bis hierhin kommt, hat Admin Zugang...
//Genauere Informationen werden unten ausgelesen


//Query 1 fr "General Informations"
$db -> query("SELECT * FROM $table_user WHERE rsn_uin = '$rsn_uin'");
$db -> next_record();

       //Speicherung
       $sess_user = array(

       id         => $db -> f("id"),
       loginname  => $db -> f("login"),
       nickname   => $db -> f("nickname"),
       pwd        => $db -> f("pwd"),
       rangid     => $db -> f("rang_id"),
       email      => $db -> f("email"),
       uin        => $db -> f("uin")

       ); //Ende User #1 Array


//Freimachen...
$db -> free($db);


//Query 2 fr "Certain Informations"
$db -> query("SELECT * FROM $table_rank WHERE id = '".$sess_user['rangid']."'");
$db -> next_record();

       //Speicherung
       $sess_rank = array(

       id           => $db -> f("id"),
       name         => $db -> f("name"),
       description  => $db -> f("beschreibung"),
       use_html     => $db -> f("use_html"),
       use_smilies  => $db -> f("use_smilies"),
       edit_user    => $db -> f("edit_user"),
       access_admin => $db -> f("access_admin"),
       edit_news    => $db -> f("edit_news"),
       edit_komms   => $db -> f("edit_kommentare"),
       post_news    => $db -> f("post_news"),
       edit_kat_img => $db -> f("edit_kat_img"),
       create_cats  => $db -> f("create_cats"),
       edit_smilies => $db -> f("edit_smilies"),
       edit_config  => $db -> f("edit_config")

       ); //Ende User #2 Array




//Falls User laut Rang Aussage nicht in den Admin Bereich darf:
if($sess_rank['access_admin'] == 0) {
setcookie("rsn_uin", "1234567", (time()-7200));

$tpl = new template();
$tpl -> set_unknowns("keep");
$tpl -> set_file(array("access_denied" => "templates/error.tpl.html"));
require('header.php');
$tpl -> set_var(array(
                      "error_headline"     => $no_admin,
                      "error_description"  => $no_admin_desc
                      ));
$tpl -> parse("output", array("access_denied"));
$tpl -> p("output");
require('footer.php');
exit;
} //endif


//Freimachen fr den Admin Code
$db -> free($db);


//Rest des Adminbereichs nach dieser Datei!
/*Schema:

         1) config.inc.php
         2) db_mysql.inc
         3) template.inc
         4) admin Dateien

*/
//Ende session.inc.php